Index: /trunk/gsdl/macros/kannada.dm
===================================================================
--- /trunk/gsdl/macros/kannada.dm	(revision 9309)
+++ /trunk/gsdl/macros/kannada.dm	(revision 9310)
@@ -108,5 +108,5 @@
 à²¿à²¯à²à²€à³à²à²šà²°à²šà³à²šà³ à²¬à³à²°à³à²
 à³à²®à²Ÿà²¡à²¿.}
-_textimageSource_ [l=kn]{à²à²¡à²€à²à²³à²à²€à³
+_textimageSource_ [l=kn] {à²à²¡à²€à²à²³à²à²€à³
 à²¬à³à²°à³à²à³ à²®à²Ÿà²¡à²¿.}
 
@@ -140,5 +140,5 @@
 _texticonrtf_ [l=kn] {à²à²°à³.à²à²¿.à²à²ªà³ à²Šà²Ÿà²à²²à³à²
 à²³à²šà³à²šà³à²µà²¿à²à³à²·à³à²žà²¿}
-_texticonmidi_ [l=kn]{à²®à²¿à²¡à²¿ à²Šà²Ÿà²à²²à³à²à²³à²šà³à²š
+_texticonmidi_ [l=kn] {à²®à²¿à²¡à²¿ à²Šà²Ÿà²à²²à³à²à²³à²šà³à²š
 à³à²µà²¿à²à³à²·à³à²žà²¿}
 
@@ -171,93 +171,4 @@
 #------------------------------------------------------------
 
-## "Home" ## top_nav_button ## chome ##
-_httpiconchomeof_ [l=kn] {_httpimg_/kn/chomeof.gif}
-_httpiconchomeon_ [l=kn] {_httpimg_/kn/chomeon.gif}
-
-## "Help" ## top_nav_button ## chelp ##
-_httpiconchelpof_ [l=kn] {_httpimg_/kn/chelpof.gif}
-_httpiconchelpon_ [l=kn] {_httpimg_/kn/chelpon.gif}
-
-## "Preference" ## top_nav_button ## cpref ##
-_httpiconcprefof_ [l=kn] {_httpimg_/kn/cprefof.gif}
-_httpiconcprefon_ [l=kn] {_httpimg_/kn/cprefon.gif}
-
-## "Help" ## green_title ## h_help ##
-_httpiconhhelp_ [l=kn] {_httpimg_/kn/h\_help.gif}
-_widthhhelp_ [l=kn] {200}
-_heighthhelp_ [l=kn] {57}
-
-## "Authors a-z" ## nav_bar_button ## tauth ##
-_httpicontcreatgr_ [l=kn] {_httpimg_/kn/tauthgr.gif}
-_httpicontcreatof_ [l=kn] {_httpimg_/kn/tauthof.gif}
-_httpicontcreaton_ [l=kn] {_httpimg_/kn/tauthon.gif}
-_widthtcreatx_ [l=kn] {102}
-
-## "series" ## nav_bar_button ## tser ##
-_httpicontsergr_ [l=kn] {_httpimg_/kn/tsergr.gif}
-_httpicontserof_ [l=kn] {_httpimg_/kn/tserof.gif}
-_httpicontseron_ [l=kn] {_httpimg_/kn/tseron.gif}
-_widthtserx_ [l=kn] {87}
-
-## "date" ## nav_bar_button ## tdate ##
-_httpicontdategr_ [l=kn] {_httpimg_/kn/tdategr.gif}
-_httpicontdateof_ [l=kn] {_httpimg_/kn/tdateof.gif}
-_httpicontdateon_ [l=kn] {_httpimg_/kn/tdateon.gif}
-_widthtdatex_ [l=kn] {87}
-
-## "subjects" ## nav_bar_button ## tsubj ##
-_httpicontsubjgr_ [l=kn] {_httpimg_/kn/tsubjgr.gif}
-_httpicontsubjon_ [l=kn] {_httpimg_/kn/tsubjon.gif}
-_httpicontsubjof_ [l=kn] {_httpimg_/kn/tsubjof.gif}
-_widthtsubjx_ [l=kn] {87}
-
-## "organisation" ## nav_bar_button ## torg ##
-_httpicontorggr_ [l=kn] {_httpimg_/kn/torggr.gif}
-_httpicontorgon_ [l=kn] {_httpimg_/kn/torgon.gif}
-_httpicontorgof_ [l=kn] {_httpimg_/kn/torgof.gif}
-_widthtorgx_ [l=kn] {105}
-
-## "How?" ## nav_bar_button ## thow ##
-_httpiconthowgr_ [l=kn] {_httpimg_/kn/thowgr.gif}
-_httpiconthowon_ [l=kn] {_httpimg_/kn/thowon.gif}
-_httpiconthowof_ [l=kn] {_httpimg_/kn/thowof.gif}
-_widththowx_ [l=kn] {115}
-
-## "topic" ## nav_bar_button ## ttopic ##
-_httpiconttopicgr_ [l=kn] {_httpimg_/kn/ttopicgr.gif}
-_httpiconttopicon_ [l=kn] {_httpimg_/kn/ttopicon.gif}
-_httpiconttopicof_ [l=kn] {_httpimg_/kn/ttopicof.gif}
-_widthttopicx_ [l=kn] {87}
-
-## "Browse" ## nav_bar_button ## tbrwse ##
-_httpicontbrwsegr_ [l=kn] {_httpimg_/kn/tbrwsegr.gif}
-_httpicontbrwseon_ [l=kn] {_httpimg_/kn/tbrwseon.gif}
-_httpicontbrwseof_ [l=kn] {_httpimg_/kn/tbrwseof.gif}
-_widthtbrwsex_ [l=kn] {87}
-
-## "filenames" ## nav_bar_button ## tsrc ##
-_httpicontsrcgr_ [l=kn] {_httpimg_/kn/tsrcgr.gif}
-_httpicontsrcof_ [l=kn] {_httpimg_/kn/tsrcof.gif}
-_httpicontsrcon_ [l=kn] {_httpimg_/kn/tsrcon.gif}
-_widthtsrcx_ [l=kn] {87}
-
-## "search" ## nav_bar_button ## tsrch ##
-_httpicontsrchgr_ [l=kn] {_httpimg_/kn/tsrchgr.gif}
-_httpicontsrchof_ [l=kn] {_httpimg_/kn/tsrchof.gif}
-_httpicontsrchon_ [l=kn] {_httpimg_/kn/tsrchon.gif}
-_widthtsrchx_ [l=kn] {87}
-
-## "title a-z" ## nav_bar_button ## ttitl ##
-_httpiconttitlegr_ [l=kn] {_httpimg_/kn/ttitlgr.gif}
-_httpiconttitleof_ [l=kn] {_httpimg_/kn/ttitlof.gif}
-_httpiconttitleon_ [l=kn] {_httpimg_/kn/ttitlon.gif}
-_widthttitlex_ [l=kn] {87}
-
-## "person" ## nav_bar_button ## tpeop ##
-_httpicontpeopgr_ [l=kn] {_httpimg_/kn/tpeopgr.gif}
-_httpicontpeopof_ [l=kn] {_httpimg_/kn/tpeopof.gif}
-_httpicontpeopon_ [l=kn] {_httpimg_/kn/tpeopon.gif}
-_widthtpeopx_ [l=kn] {87}
-
 
 ######################################################################
@@ -289,10 +200,4 @@
 #------------------------------------------------------------
 
-## "info" ## green_title ## h_about ##
-_httpiconhabout_ [l=kn] {_httpimg_/kn/h\_about.gif}
-_widthhabout_ [l=kn] {200}
-_heighthabout_ [l=kn] {57}
-
-
 
 ######################################################################
@@ -309,6 +214,6 @@
 _texticonhcreat_ [l=kn] {à²²à³à²à²à²°à³ A-Z}
 _texticonhsubj_ [l=kn] {à²µà²¿à²·à²¯à²à²³à³}
-_texticonhto_ [l=kn]{à²à³}
-_texticonhfrom_ [l=kn]{à²¯à²¿à²à²Š}
+_texticonhto_ [l=kn] {à²à³}
+_texticonhfrom_ [l=kn] {à²¯à²¿à²à²Š}
 _texticonhser_ [l=kn] {à²žà²°à²£à²¿}
 _texticonhdate_ [l=kn] {à²Šà²¿à²šà²Ÿà²à²}
@@ -387,96 +292,4 @@
 #------------------------------------------------------------
 
-## "title a-z" ## green_title ## h_title ##
-_httpiconhtitle_ [l=kn] {_httpimg_/kn/h\_title.gif}
-_widthhtitle_ [l=kn] {200}
-_heighthtitle_ [l=kn] {57}
-
-## "author a-z" ## green_title ## h_auth ##
-_httpiconhcreat_ [l=kn] {_httpimg_/kn/h\_auth.gif}
-_widthhcreat_ [l=kn] {200}
-
-## "subject" ## green_title ## h_subj ##
-_httpiconhsubj_ [l=kn] {_httpimg_/kn/h\_subj.gif}
-_widthhsubj_ [l=kn] {200}
-_heighthsubj_ [l=kn] {57}
-
-## "series" ## green_title ## h_ser ##
-_httpiconhser_ [l=kn] {_httpimg_/kn/h\_ser.gif}
-_widthhser_ [l=kn] {200}
-_heighthser_ [l=kn] {57}
-
-## "date" ## green_title ## h_date ##
-_httpiconhdate_ [l=kn] {_httpimg_/kn/h\_date.gif}
-_widthhdate_ [l=kn] {200}
-_heighthdate_ [l=kn] {57}
-
-## "How?" ## green_title ## h_how ##
-_httpiconhhow_ [l=kn] {_httpimg_/kn/h\_how.gif}
-_widthhhow_ [l=kn] {200}
-_heighthhow_ [l=kn] {57}
-
-## "topic" ## green_title ## h_topic ##
-_httpiconhtopic_ [l=kn] {_httpimg_/kn/h\_topic.gif}
-_widthhtopic_ [l=kn] {200}
-_heighthtopic_ [l=kn] {57}
-
-## "organisation" ## green_title ## h_org ##
-_httpiconhorg_ [l=kn] {_httpimg_/kn/h\_org.gif}
-_widthhorg_ [l=kn] {250}
-_heighthorg_ [l=kn] {57}
-
-## "Browse" ## green_title ## h_brwse ##
-_httpiconhbrwse_ [l=kn] {_httpimg_/kn/h\_brwse.gif}
-_widthhbrwse_ [l=kn] {200}
-_heighthbrwse_ [l=kn] {57}
-
-## "person" ## green_title ## h_people ##
-_httpiconhpeople_ [l=kn] {_httpimg_/kn/h\_people.gif}
-_widthhpeople_ [l=kn] {200}
-_heighthpeople_ [l=kn] {57}
-
-## "filenames" ## green_title ## h_src ##
-_httpiconhsrc_ [l=kn] {_httpimg_/kn/h\_src.gif}
-_widthhsrc_ [l=kn] {200}
-_heighthsrc_ [l=kn] {57}
-
-## "WEITERMACHEN?" ## top_nav_button ## cont ##
-_httpiconcontoff_ [l=kn] {_httpimg_/kn/contof.gif}
-_httpiconconton_ [l=kn] {_httpimg_/kn/conton.gif}
-
-## "EXPANDIEREN
-#  DES TEXTS" ## document_button ## eallt ## 
-_httpiconealltof_ [l=kn] {_httpimg_/kn/ealltof.gif}
-_httpiconeallton_ [l=kn] {_httpimg_/kn/eallton.gif}
-
-## "KONTRAKTIONDES
-#        INHALTS" ## document_button ## econc ##
-_httpiconeconcof_ [l=kn] {_httpimg_/kn/econcof.gif}
-_httpiconeconcon_ [l=kn] {_httpimg_/kn/econcon.gif}
-
-## "SEPARATES
-#  FENSTER" ## document_button ## edtch ##
-_httpiconedtchof_ [l=kn] {_httpimg_/kn/edtchof.gif}
-_httpiconedtchon_ [l=kn] {_httpimg_/kn/edtchon.gif}
-
-## "EXPANDIEREN
-#DES INHALTS" ## document_button ## eexpc ##
-_httpiconeexpcof_ [l=kn] {_httpimg_/kn/eexpcof.gif}
-_httpiconeexpcon_ [l=kn] {_httpimg_/kn/eexpcon.gif}
-
-## "KONTRAKTION
-#   DES TEXTS" ## document_button ## etsec ##
-_httpiconetsecof_ [l=kn] {_httpimg_/kn/etsecof.gif}
-_httpiconetsecon_ [l=kn] {_httpimg_/kn/etsecon.gif}
-
-## "HERVORHEBUNG" ## document_button ## ehl ##
-_httpiconehlof_ [l=kn] {_httpimg_/kn/ehlof.gif}
-_httpiconehlon_ [l=kn] {_httpimg_/kn/ehlon.gif}
-
-## "         KEINE
-#HERVORHEBUNG" ## document_button ## enhl ##
-_httpiconenhlof_ [l=kn] {_httpimg_/kn/enhlof.gif}
-_httpiconenhlon_ [l=kn] {_httpimg_/kn/enhlon.gif}
-
 
 ######################################################################
@@ -554,20 +367,4 @@
 # icons
 #------------------------------------------------------------
-
-## "Search" ## green_title ## h_search ##
-_httpiconhsearch_ [l=kn] {_httpimg_/kn/h\_search.gif}
-_widthhsearch_ [l=kn] {200}
-_heighthsearch_ [l=kn] {57}
-
-## "results" ## green_bar_left_aligned ## qryresb ##
-_httpiconqryresb_ [l=kn] {_httpimg_/kn/qryresb.gif}
-_widthqryresb_ [l=kn] {_pagewidth_}
-_heightqryresb_ [l=kn] {17}
-
-## "display" ## hand_made ##
-_httpicondisplay_ [l=kn] {_httpimg_/display.gif}
-_widthdisplay_ [l=kn] {60}
-_heightdisplay_ [l=kn] {20}
-
 
 
@@ -666,9 +463,4 @@
 #------------------------------------------------------------
 
-## "Preferences" ## green_title ## h_pref ##
-_httpiconhpref_ [l=kn] {_httpimg_/kn/h\_pref.gif}
-_widthhpref_ [l=kn] {200}
-_heighthpref_ [l=kn] {57}
-
 
 ######################################################################
@@ -815,5 +607,5 @@
 à²€à³à²°à³à²Šà²¿à²¡à³à²€à³à²€à²Šà³. }
 
-_textSourcelong_ [l=kn]{ <p>à²šà³à²µà³ <i>à²ªà³à²°à²à²Ÿà²¶à²¿à²€à²µà²šà³à²šà³
+_textSourcelong_ [l=kn] { <p>à²šà³à²µà³ <i>à²ªà³à²°à²à²Ÿà²¶à²¿à²€à²µà²šà³à²šà³
 à²à²¡à²€à²à²³à²à²€à³ à²ªà³à²°à²µà³à²¶à²¿à²žà²²à³</i> 
  <b>à²à²¡à²€à²à²³à³</b> à²à³à²à²¡à²¿à²¯à²šà³à²šà³
@@ -1328,13 +1120,13 @@
 }
 
-_texttanumbrowseoptions_ [l=kn]{_numbrowseoptions_ à²žà²à²à³à²°à²¹à²£à³à²¯à²²à³à²²à²¿
+_texttanumbrowseoptions_ [l=kn] {_numbrowseoptions_ à²žà²à²à³à²°à²¹à²£à³à²¯à²²à³à²²à²¿
 à²®à²Ÿà²¹à²¿à²€à²¿ à²¹à³à²à³ à²ªà²¡à³à²¯à³à²µ
 à²¬à²à³à²à²³à³:}
 
-_textsimplehelpheading_ [l=kn]{à²žà²à²à³à²°à²¹à²£à³à²¯à²²à³à²²à²¿ _collectionname_ 
+_textsimplehelpheading_ [l=kn] {à²žà²à²à³à²°à²¹à²£à³à²¯à²²à³à²²à²¿ _collectionname_ 
 à²®à²Ÿà²¹à²¿à²€à²¿ à²¹à³à²à³
 à²ªà²¡à³à²¯à³à²µà³à²Šà³}
 
-_texthelpscope_ [l=kn]{
+_texthelpscope_ [l=kn] {
 <p>_iconblankbar_
 <a name=scope-of-queries>