Index: /trunk/gsdl/macros/spanish2.dm
===================================================================
--- /trunk/gsdl/macros/spanish2.dm	(revision 9322)
+++ /trunk/gsdl/macros/spanish2.dm	(revision 9323)
@@ -3,5 +3,5 @@
 #
 # Spanish Language text and icon macros 
-# -- this file contains Spanish text that is of less importance
+# -- this file contains text that is of less importance
 ######################################################################
 
@@ -986,5 +986,6 @@
 
 _textgs3title_ [l=es] {en los trabajos}
-_textgs3_ [l=es] {Greenstone 3 es un diseÃ±o e implementaciÃ³n completamente nuevos, el cual conserva todas las ventajas de Greenstone 2 (la versiÃ³n actual). Por ejemplo, estÃ¡ en varios idiomas, funciona en mÃºltiples plataformas y es altamente configurable. Incorpora todas las funciones del sistema actual y es compatible con versiones anteriores, es decir, que puede construir y correr colecciones existentes sin modificarlas. EstÃ¡ escrito en Java y estÃ¡ estructurado como una red de mÃ³dulos independientes que se comunican por medio de XML. De esta manera funciona de manera distribuida y puede extenderse a diferentes servidores segÃºn se necesite. Su diseÃ±o modular aumenta la flexibilidad y capacidad de Greenstone. Se espera que la nueva versiÃ³n estÃ© disponible para uso experimental el 23 de diciembre de 2003. Usted encontrarÃ¡ una descripciÃ³n del diseÃ±o inicial del sistema en âEl diseÃ±o de Greenstone 3: Una biblioteca digital dinÃ¡mica basada en agentesâ (bajar <a href="http://www.greenstone.org/manuals/gs3design.pdf">PDF</a>).}
+_textgs3_ [l=es] {Greenstone 3 es un diseÃ±o e implementaciÃ³n completamente nuevos, que conserva todas las ventajas de Greenstone 2 (la versiÃ³n actual). Por ejemplo, es multilingÃŒe, multiplataforma y altamente configurable. Incorpora todas las prestaciones del sistema actual y es compatible con versiones anteriores, es decir, que puede construir y presentar colecciones preexistentes sin modificarlas. Escrito en Java, estÃ¡ estructurado como una red de mÃ³dulos independientes que se comunican por medio de XML. De esta manera funciona de manera distribuida y puede extenderse a diferentes servidores segÃºn se necesite. Su diseÃ±o modular aumenta la flexibilidad y capacidad de Greenstone. La documentaciÃ³n y las versiones experimentales de Greenstone 3 pueden descargarse de la <a href="http://www.greenstone.org/greenstone3.html">pÃ¡gina principal de Greenstone 3</a>.
+}
 
 _textcreditstitle_ [l=es] {crÃ©ditos}
@@ -1314,4 +1315,8 @@
 se incluirÃ¡ en versiones futuras.}
 
+# _textgetdmfiles_ {You can download the macro files you have created}
+# _textviewtranslation_ {Your changes will immediately be reflected}
+# _texthere_ {here}
+
 ############
 # gli page
@@ -1320,29 +1325,30 @@
 
 _textgli_ [l=es] {Interfaz de la Biblioteca Digital Greenstone}
-
-_textglihelp_ [l=es] {
-
-La Interfaz de la Biblioteca Digital Greenstone (GLI) le da acceso a las funciones de Greenstone desde una interfaz fÃ¡cil de usar con la que solo tiene que apuntar y hacer click. Esto le permite recolectar grupos de documentos, importar o asignar metadatos, e incluirlos en una colecciÃ³n de Greeenstone.
+_textglihelp_ [l=es] {La Interfaz de Bibliotecario del Greenstone (GLI) le da acceso a la funcionalidad de Greenstone desde una interfaz fÃ¡cil de usar con la que solo tiene que apuntar y hacer click. Esto le permite reunir grupos de documentos, importar o asignar metadatos, e incluirlos en una colecciÃ³n de Greeenstone.
 <p>
 
-Recuerde que la GLI se ejecuta junto con los programas Greenstone, por 
-lo que se asume que estarÃ¡ instalada en un subdirectorio de Greenstone. 
-Si usted ya bajÃ³ de la Web una de las versiones de Greenstone o la instalÃ³  
+Recuerde que la GLI se ejecuta conjuntamente con Greenstone, por 
+lo que se asume que estarÃ¡ instalada en un subdirectorio de su instalaciÃ³n deGreenstone. 
+Si usted ya descargÃ³ una de las versiones de Greenstone o la instalÃ³  
 desde un CD-ROM, entonces Ã©ste serÃ¡ el caso.
 
-<h4>EjecuciÃ³n de la GLI bajo Windows</h4>
-
-Si cuenta con Windows inicie la interfaz de la biblioteca digital seleccionando <i>Biblioteca Digital Greenstone</i> en la secciÃ³n de <i>Programas</i> del menÃº de <i>Inicio</i> y eligiendo <i>Interfaz de la Biblioteca Digital</i>. 
-
-<h4>EjecuciÃ³n de la GLI bajo UNIX</h4>
-
-Para correr la GLI bajo UNIX cambie al directorio <i>gli</i> que se encuentra 
+<h4>EjecuciÃ³n de la GLI en Windows</h4>
+
+Ponga en marcha la Interfaz de Bibliotecario en Windows seleccionando <i>Biblioteca Digital Greenstone</i> en el submenÃº de <i>Programas</i> del menÃº de <i>Inicio</i> y eligiendo <i>Interfaz de Bibliotecario de Greenstone</i>. 
+
+<h4>EjecuciÃ³n de la GLI en UNIX</h4>
+
+Para poner en marcha la Interfaz de Bibliotecario en UNIX cambie al directorio <i>gli</i> que se encuentra 
 en su instalaciÃ³n Greenstone y ejecute el guiÃ³n <i>gli.sh</i>.
 
-}
+<h4>EjecuciÃ³n de la GLI en OS X</h4>
+
+En el Finder, despliegue <i>Aplicaciones</i> y <i>Greenstone</i>
+(si instalÃ³ Greenstone de la manera preestablecida), y lanze la aplicaciÃ³n <i>GLI</i>.}
 
 #------------------------------------------------------------
 # icons
 #------------------------------------------------------------
+
 
 ## "Interfaz de la Biblioteca Digital Greenstone" ## green_bar_left_aligned ## gligr ##