Index: /trunk/gsdl/macros/russian2.dm
===================================================================
--- /trunk/gsdl/macros/russian2.dm	(revision 9326)
+++ /trunk/gsdl/macros/russian2.dm	(revision 9327)
@@ -3,5 +3,5 @@
 #
 # Russian Language text and icon macros 
-# -- this file contains russian text that is of less importance
+# -- this file contains text that is of less importance
 ######################################################################
 
@@ -133,8 +133,8 @@
 _widthselcolgr_ [l=ru] {537}
 _heightselcolgr_ [l=ru] {17}
-_altselcolgr_ [l=ru] {"ÐÑÐ±ÐµÑÐžÑÐµ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ"}
-
-
-## "ÐÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÑÐ¹ ÐžÐœÑÐµÑÑÐµÐ¹Ñ" ## home_page_button ## cgli ##
+_altselcolgr_ [l=ru] {"Select a collection"}
+
+
+## "ÐÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÑÐ¹\nÐžÐœÑÐµÑÑÐµÐ¹Ñ" ## home_page_button ## cgli ##
 _httpiconcgliof_ [l=ru] {_httpimg_/ru/cgliof.gif}
 _httpiconcglion_ [l=ru] {_httpimg_/ru/cglion.gif}
@@ -146,10 +146,10 @@
 _widthccol_ [l=ru] {100}
 
-## "ÐÐµÑÐµÐ²ÐŸÐŽÑÐžÐº (ÑÑÐ°ÐœÑÐ»ÑÑÐŸÑ)" ## home_page_button ## ctrans ##
+## "ÐÐµÑÐµÐ²ÐŸÐŽÑÐžÐº\n(ÑÑÐ°ÐœÑÐ»ÑÑÐŸÑ)" ## home_page_button ## ctrans ##
 _httpiconctransof_ [l=ru] {_httpimg_/ru/ctransof.gif}
 _httpiconctranson_ [l=ru] {_httpimg_/ru/ctranson.gif}
 _widthctrans_ [l=ru] {100}
 
-## "ÐÐŽÐŒÐžÐœÐžÑÑÑÐ°ÑÐžÐ²ÐœÐ°Ñ ÑÑÑÐ°ÐœÐžÑÐ°" ## home_page_button ## cadmin ##
+## "ÐÐŽÐŒÐžÐœÐžÑÑÑÐ°ÑÐžÐ²ÐœÐ°Ñ\nÑÑÑÐ°ÐœÐžÑÐ°" ## home_page_button ## cadmin ##
 _httpiconcadminof_ [l=ru] {_httpimg_/ru/cadminof.gif}
 _httpiconcadminon_ [l=ru] {_httpimg_/ru/cadminon.gif}
@@ -161,5 +161,5 @@
 _widthcabgs_ [l=ru] {100}
 
-## "ÐÐŸÐºÑÐŒÐµÐœÑÐ°ÑÐžÑ Greenstone" ## home_page_button ## cgsdoc ##
+## "ÐÐŸÐºÑÐŒÐµÐœÑÐ°ÑÐžÑ\nGreenstone" ## home_page_button ## cgsdoc ##
 _httpiconcgsdocof_ [l=ru] {_httpimg_/ru/cgsdocof.gif}
 _httpiconcgsdocon_ [l=ru] {_httpimg_/ru/cgsdocon.gif}
@@ -239,5 +239,6 @@
 _textmustbelongtogroup_ [l=ru] {ÐÐ±ÑÐ°ÑÐžÑÐµ Ð²ÐœÐžÐŒÐ°ÐœÐžÐµ, ÑÑÐŸ ÐÑ ÐŽÐŸÐ»Ð¶ÐœÑ Ð¿ÑÐžÐœÐ°ÐŽÐ»ÐµÐ¶Ð°ÑÑ Ðº "_cgiargug_" Ð³ÑÑÐ¿Ð¿Ðµ  ÐŽÐŸÑÑÑÐ¿Ð° ÐœÐ° ÑÑÑ ÑÑÑÐ°ÐœÐžÑÑ.}
 
-_textmessageinvalid_ [l=ru] {Ð¡ÑÑÐ°ÐœÐžÑÐ°, ÐºÐŸÑÐŸÑÑÑ ÐÑ Ð·Ð°ÑÑÐµÐ±ÐŸÐ²Ð°Ð»Ðž, ÑÑÐµÐ±ÑÐµÑ ÑÐµÐ³ÐžÑÑÑÐ°ÑÐžÐž. <br> _If_(_cgiargug_,[_textmustbelongtogroup_]<br>) ÐÐŸÐ¶Ð°Ð»ÑÐ¹ÑÑÐ°, Ð²Ð²ÐµÐŽÐžÑÐµ ÐÐ°ÑÐµ ÐžÐŒÑ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»Ñ Greenstone Ðž Ð¿Ð°ÑÐŸÐ»Ñ.}
+_textmessageinvalid_ [l=ru] {<br>) ÐÐŸÐ¶Ð°Ð»ÑÐ¹ÑÑÐ°, Ð²Ð²ÐµÐŽÐžÑÐµ ÐÐ°ÑÐµ ÐžÐŒÑ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»Ñ Greenstone Ðž Ð¿Ð°ÑÐŸÐ»Ñ.}
+}
 
 _textmessagefailed_ [l=ru] {ÐÐ²ÐµÐŽÐµÐœÐŸ ÐœÐµÐ²ÐµÑÐœÐŸÐµ ÐžÐŒÑ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»Ñ ÐžÐ»Ðž Ð¿Ð°ÑÐŸÐ»Ñ.}
@@ -272,5 +273,4 @@
 _textpaperguide_ [l=ru] {Ð ÑÐºÐŸÐ²ÐŸÐŽÑÑÐ²ÐŸ "ÐÑ Ð±ÑÐŒÐ°Ð³Ðž Ðº ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž"}
 _textorganizerguide_ [l=ru] {ÐÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÐœÐžÐµ ÐÑÐ³Ð°ÐœÐ°Ð¹Ð·ÐµÑÐ°}
-
 
 #------------------------------------------------------------
@@ -404,9 +404,5 @@
 ÐŸÐŽÐžÑÑ ÐžÐ· Ð»ÐŸÐºÐ°Ð»ÑÐœÐŸÐ¹ ÐºÑÑ-ÐºÐŸÐ¿ÐžÐž. Ð ÑÐŸÐ¶Ð°Ð»ÐµÐœÐžÑ,  Ð»ÐŸÐºÐ°Ð»ÑÐœÑÐµ ÐºÑÑ-ÐºÐŸÐ¿ÐžÐž ÐœÐµÐ²ÐžÐŽÐžÐŒÑ ÐŽÐ»Ñ ÐœÐ°ÑÐµÐ³ÐŸ Ð¿ÑÐŸÑÐµÑÑÐ° Ð·ÐµÑÐºÐ°Ð»ÐžÑÐŸÐ²Ð°ÐœÐžÑ. Ð ÑÑÐŸÐŒ ÑÐ»ÑÑÐ°Ðµ ÐŒÑ ÑÐµÐºÐŸÐŒÐµÐœÐŽÑÐµÐŒ, ÑÑÐŸÐ±Ñ ÑÐœÐ°ÑÐ°Ð»Ð° Ð²Ñ Ð·Ð°Ð³ÑÑÐ·ÐžÐ»Ðž ÑÑÑÐ°ÐœÐžÑÑ, ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÑ Ð²Ð°Ñ Ð±ÑÐŸÑÐ·ÐµÑ .}
 
-_textymbyco_ [l=ru] {
-
-
-
-<p> ÐÑ ÐŒÐŸÐ¶ÐµÑÐµ ÐŸÑÐœÐŸÐ²Ð°ÑÑ ÐÐ°ÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐžÐ»Ðž ÐœÐ°
+_textymbyco_ [l=ru] {<p> ÐÑ ÐŒÐŸÐ¶ÐµÑÐµ ÐŸÑÐœÐŸÐ²Ð°ÑÑ ÐÐ°ÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐžÐ»Ðž ÐœÐ°
 <ul>
 <li> Ð¡ÑÑÑÐºÑÑÑÐ° Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ   <dl><dd> ÐÐŸÐ²Ð°Ñ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐŒÐŸÐ¶ÐµÑ ÑÐŸÐŽÐµÑÐ¶Ð°ÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ HTML (.htm.html),  ÐŽÐŸÐºÑÐŒÐµÐœÑÑ Ð¿ÑÐŸÑÑÐŸÐ³ÐŸ ÑÐµÐºÑÑÐ° (.txt.text), ÐŽÐŸÐºÑÐŒÐµÐœÑÑ MS Word (.doc), ÐŽÐŸÐºÑÐŒÐµÐœÑÑ PDF (.pdf) ÐžÐ»Ðž ÐŽÐŸÐºÑÐŒÐµÐœÑÑ Ð² ÑÐŸÑÐŒÐ°ÑÐµ ÑÐ»ÐµÐºÑÑÐŸÐœÐœÐŸÐ¹ Ð¿ÐŸÑÑÑ"m-box" (.mbx). </dd></dl>
@@ -548,5 +544,5 @@
 _httpiconhcolect_ [l=ru] {_httpimg_/ru/h\_colect.gif}
 
-## "ÐÐœÑÐŸÑÐŒÐ°ÑÐžÑ\n  ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž" ## collector_bar_button ## info ##
+## "ÐÐœÑÐŸÑÐŒÐ°ÑÐžÑ\nÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž" ## collector_bar_button ## info ##
 _httpicongcinfoof_ [l=ru] {_httpimg_/ru/gcinfoof.gif}
 _httpicongcinfoon_ [l=ru] {_httpimg_/ru/gcinfoon.gif}
@@ -556,5 +552,5 @@
 
 ## "ÐžÑÑ
-ÐŸÐŽÐœÑÐµ\n  ÐŽÐ°ÐœÐœÑÐµ" ## collector_bar_button ## srce ##
+ÐŸÐŽÐœÑÐµ\nÐŽÐ°ÐœÐœÑÐµ" ## collector_bar_button ## srce ##
 _httpicongcsrceof_ [l=ru] {_httpimg_/ru/gcsrceof.gif}
 _httpicongcsrceon_ [l=ru] {_httpimg_/ru/gcsrceon.gif}
@@ -563,5 +559,5 @@
 _httpiconncsrceof_ [l=ru] {_httpimg_/ru/ncsrceof.gif}
 
-## "ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÑ\n   ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž" ## collector_bar_button ## conf ##
+## "ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÑ\nÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž" ## collector_bar_button ## conf ##
 _httpicongcconfof_ [l=ru] {_httpimg_/ru/gcconfof.gif}
 _httpicongcconfon_ [l=ru] {_httpimg_/ru/gcconfon.gif}
@@ -570,5 +566,5 @@
 _httpiconncconfof_ [l=ru] {_httpimg_/ru/ncconfof.gif}
 
-## "ÑÐŸÑÐŒÐžÑÐŸÐ²Ð°ÐœÐžÐµ\n    ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž" ## collector_bar_button ## bild ##
+## "ÑÐŸÑÐŒÐžÑÐŸÐ²Ð°ÐœÐžÐµ\nÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž" ## collector_bar_button ## bild ##
 _httpicongcbildof_ [l=ru] {_httpimg_/ru/gcbildof.gif}
 _httpicongcbildon_ [l=ru] {_httpimg_/ru/gcbildon.gif}
@@ -577,5 +573,5 @@
 _httpiconncbildof_ [l=ru] {_httpimg_/ru/ncbildof.gif}
 
-## " Ð¿ÑÐŸÑÐŒÐŸÑÑ\nÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž" ## collector_bar_button ## view ##
+## "Ð¿ÑÐŸÑÐŒÐŸÑÑ\nÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž" ## collector_bar_button ## view ##
 _httpicongcviewof_ [l=ru] {_httpimg_/ru/gcviewof.gif}
 _httpicongcviewon_ [l=ru] {_httpimg_/ru/gcviewon.gif}
@@ -584,9 +580,9 @@
 _httpiconncviewof_ [l=ru] {_httpimg_/ru/ncviewof.gif}
 
-## " ÑÐŽÐ°Ð»ÐµÐœÐžÐµ\nÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž" ## collector_bar_button ## del ##
+## "ÑÐŽÐ°Ð»ÐµÐœÐžÐµ\nÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž" ## collector_bar_button ## del ##
 _httpicongcdelof_ [l=ru] {_httpimg_/ru/gcdelof.gif}
 _httpicongcdelon_ [l=ru] {_httpimg_/ru/gcdelon.gif}
 
-## "   ÑÐºÑÐ¿ÐŸÑÑ\nÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž" ## collector_bar_button ## expt ##
+## "ÑÐºÑÐ¿ÐŸÑÑ\nÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž" ## collector_bar_button ## expt ##
 _httpicongcexptof_ [l=ru] {_httpimg_/ru/gcexptof.gif}
 _httpicongcexpton_ [l=ru] {_httpimg_/ru/gcexpton.gif}
@@ -652,7 +648,5 @@
 _textgs3title_ [l=ru] {Ð² ÑÐ°Ð±ÐŸÑÐ°Ñ
 }
-
-_textgs3_ [l=ru] {
-Ð Greenstone 3  Ð¿ÐŸÐ»ÐœÐŸÑÑÑÑ Ð¿ÐµÑÐµÑÐ°Ð±ÐŸÑÐ°Ðœ ÐŽÐžÐ·Ð°Ð¹Ðœ Ðž ÐžÐœÑÑÑÑÐŒÐµÐœÑÐ°ÑÐžÐ¹, ÐºÐŸÑÐŸÑÑÐ¹ ÑÐŸÑ
+_textgs3_ [l=ru] {Ð Greenstone 3  Ð¿ÐŸÐ»ÐœÐŸÑÑÑÑ Ð¿ÐµÑÐµÑÐ°Ð±ÐŸÑÐ°Ðœ ÐŽÐžÐ·Ð°Ð¹Ðœ Ðž ÐžÐœÑÑÑÑÐŒÐµÐœÑÐ°ÑÐžÐ¹, ÐºÐŸÑÐŸÑÑÐ¹ ÑÐŸÑ
 ÑÐ°ÐœÑÐµÑ Ð²ÑÐµ Ð¿ÑÐµÐžÐŒÑÑÐµÑÑÐ²Ð° Greenstone 2 (ÐœÐ°ÑÑÐŸÑÑÑÑ Ð²ÐµÑÑÐžÑ). Ð¢Ð°Ðº ÐŸÐœ ÑÐ²Ð»ÑÐµÑÑÑ ÐŒÐœÐŸÐ³ÐŸÑÐ·ÑÑÐœÑÐŒ, ÐŒÐœÐŸÐ³ÐŸÐ¿Ð»Ð°ÑÑÐŸÑÐŒÐµÐœÐœÑÐŒ Ðž ÐŸÑÐ»ÐžÑÐ°ÐµÑÑÑ Ð²ÑÑÐŸÐºÐŸÐ¹ ÐºÐŸÐœÑÐžÐ³ÑÑÐžÑÑÐµÐŒÐŸÑÑÑÑ. ÐÐœ Ð²ÐºÐ»ÑÑÐ°ÐµÑ ÑÑÐµÐŽÑÑÐ²Ð° ÑÑÑÐµÑÑÐ²ÑÑÑÐµÐ¹ ÑÐžÑÑÐµÐŒÑ Ðž ÐŸÐ±Ð»Ð°ÐŽÐ°ÐµÑ ÐŸÐ±ÑÐ°ÑÐœÐŸÐ¹ ÑÐŸÐ²ÐŒÐµÑÑÐžÐŒÐŸÑÑÑÑ.Ð­ÑÐŸ ÐŸÐ·ÐœÐ°ÑÐ°ÐµÑ, ÑÑÐŸ ÐŸÐœ ÐŒÐŸÐ¶ÐµÑ ÑÑÑÐŸÐžÑÑ Ðž Ð²Ð²ÐŸÐŽÐžÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž Ð±ÐµÐ· ÐžÑ
  ÐŒÐŸÐŽÐžÑÐžÐºÐ°ÑÐžÐž. ÐÐ°Ð¿ÐžÑÐ°ÐœÐœÑÐ¹ ÐœÐ° Java, ÐŸÐœ ÑÑÑÑÐºÑÑÑÐžÑÐŸÐ²Ð°Ðœ ÐºÐ°Ðº ÑÐµÐ¿Ñ ÐœÐµÐ·Ð°Ð²ÐžÑÐžÐŒÑÑ
@@ -941,5 +935,24 @@
 }
 
-# -- Missing translation: _textinitial_
+_textinitial_ [l=ru] {Ð­ÑÐž ÑÑÑÐ°ÐœÐžÑÑ Ð¿ÐŸÐŒÐŸÐ³ÑÑ Ð²Ð°ÐŒ ÑÐ»ÑÑÑÐžÑÑ Ð¿ÐŸÐŽÐŽÐµÑÐ¶ÐºÑ ÐžÐœÐŸÑÑÑÐ°ÐœÐœÐŸÐ³ÐŸ ÑÐ·ÑÐºÐ°. ÐÑÐ¿ÐŸÐ»ÑÐ·ÑÑ ÐžÑ
+, Ð²Ñ ÐŒÐŸÐ¶ÐžÑÐµ  "
+	<ul>
+	<li> Ð¿ÐµÑÐµÐ²ÐµÑÑÐž ÐžÐœÑÐµÑÑÐµÐ¹Ñ ÐœÐ° ÐŽÑÑÐ³ÐŸÐ¹ ÑÐ·ÑÐº 
+	<li> ÐŸÐ±ÐœÐŸÐ²ÐžÑÑ ÑÑÑÐµÑÑÐ²ÑÑÑÐžÐ¹ ÑÐ·ÑÐºÐŸÐ²ÐŸÐ¹ ÐžÐœÑÐµÑÑÐµÐ¹Ñ ÑÑÐŸÐ±Ñ ÐŸÐœ ÐŒÐŸÐ³ ÐŸÑÑÐ°Ð¶Ð°ÑÑ ÐœÐŸÐ²ÑÐµ Ð²ÐŸÐ·ÐŒÐŸÐ¶ÐœÐŸÑÑÐž Greenstone
+	<li> ÐžÑÐ¿ÑÐ°Ð²ÐžÑÑ ÐŸÑÐžÐ±ÐºÐž Ð² Ð¿ÐµÑÐµÐ²ÐŸÐŽÐµ Ð² ÑÑÑÐµÑÑÐ²ÑÑÑÐžÐŒ ÑÐ·ÑÐºÐŸÐ²ÐŸÐŒ ÐžÐœÑÐµÑÑÐµÐ¹ÑÐµ
+	</ul>
+	"ÐÐ°ÐŒ Ð±ÑÐŽÑÑ Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœÑ ÑÐµÑÐžÐž web ÑÑÑÐ°ÐœÐžÑ, ÐºÐ°Ð¶ÐŽÐ°Ñ ÐžÐ· ÐºÐŸÑÐŸÑÑÑ
+ Ð²ÐºÐ»ÑÑÐ°ÐµÑ ÐœÐµÑÐºÐŸÐ»ÑÐºÐŸ ÑÑÐ°Ð· ÐŽÐ»Ñ Ð¿ÐµÑÐµÐ²ÐŸÐŽÐ°."
+	ÐÑ Ð¿ÑÐŸÐŽÐŸÐ»Ð¶ÐžÑÐµ Ð¿ÐµÑÐµÐ²ÐŸÐŽÐžÑÑ ÑÐ·ÑÐºÐŸÐ²ÐŸÐ¹ ÐžÐœÑÐµÑÑÐµÐ¹Ñ ÐŸÑ ÑÑÐ°Ð·Ñ Ðº ÑÑÐ°Ð·Ðµ.
+	"ÐÐœÐŸÐ³ÐžÐµ ÑÑÐ°Ð·Ñ Ð²ÐºÐ»ÑÑÐ°ÑÑ ÐºÐŸÐŒÐ°ÐœÐŽÑ ÑÐŸÑÐŒÐ°ÑÐžÑÐŸÐ²Ð°ÐœÐžÑ HTML: Ð²Ð°ÐŒ ÐœÐµ ÑÐ»ÐµÐŽÑÐµÑ Ð¿ÑÑÐ°ÑÑÑÑ ÐžÑ
+ Ð¿ÐµÑÐµÐ²ÐµÑÑÐž, ÐœÐŸ ÑÐŸÑ
+ÑÐ°ÐœÐžÑÐµ ÐžÑ
+ ÐœÐµÐžÐ·ÐŒÐµÐœÐœÐµÐœÑÐŒÐž Ð² Ð¿ÐµÑÐµÐ²ÐµÐŽÐµÐœÐœÐŸÐ¹ Ð²ÐµÑÑÐžÐž. Ð¡Ð»ÐŸÐ²Ð° Ð¿ÐŸÐŽÑÐµÑÐºÐœÑÑÑÐµ ÑÐ±ÐŸÐºÑ ÑÐ°ÐºÐžÐµ ÐºÐ°Ðº (_this_) ÑÐ°ÐºÐ¶Ðµ ÐœÐµ ÑÐ»ÐµÐŽÑÐµÑ Ð¿ÐµÑÐµÐ²ÐŸÐŽÐžÑÑ (ÐŸÐœÐž ÑÐ²Ð»ÑÑÑÑÑ "macro" ÐžÐŒÐµÐœÐ°ÐŒÐž Greenstone)."
+	<p>
+	"ÐÑÐ»Ðž Ð²Ñ ÐŸÐ±ÐœÐŸÐ²Ð»ÑÐµÑÐµ ÑÑÑÐµÑÑÐ²ÑÑÑÐžÐ¹ Ð¿ÐµÑÐµÐ²ÐŸÐŽ,  Ð²Ð°ÐŒ ÐœÐµ Ð±ÑÐŽÑÑ Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœÑ ÑÑÐ°Ð·Ñ Ð¿ÐµÑÐµÐ²ÐŸÐŽ ÐºÐŸÑÐŸÑÑÑ
+ ÑÐ¶Ðµ ÑÑÑÐµÑÑÐ²ÑÐµÑ. ÐÐœÐŸÐ³ÐŽÐ° ÐµÑÑÑ Ð¿ÐµÑÐµÐ²ÐŸÐŽ, ÐœÐŸ Ð°ÐœÐ³Ð»ÐžÐ¹ÑÐºÐžÐ¹ ÑÐµÐºÑÑ Ñ ÑÐµÑ
+ Ð¿ÐŸÑ Ð±ÑÐ» ÐžÐ·ÐŒÐµÐœÐµÐœ. Ð ÑÑÐŸÐŒ ÑÐ»ÑÑÐ°Ðµ Ð²Ð°ÐŒ Ð±ÑÐŽÐµÑ Ð¿ÑÐµÐŽÐŸÑÑÐ°Ð²Ð»ÐµÐœ ÑÐµÐºÑÑÐžÐ¹ Ð¿ÐµÑÐµÐ²ÐŸÐŽ, ÐºÐŸÑÐŸÑÑÐ¹ Ð²Ð°ÐŒ ÑÐ»ÐµÐŽÑÐµÑ Ð¿ÑÐŸÐ²ÐµÑÐžÑÑ Ðž ÐŸÐ±ÐœÐŸÐ²ÐžÑÑ ÐµÑÐ»Ðž ÑÑÐŸ ÐœÐµÐŸÐ±Ñ
+ÐŸÐŽÐžÐŒÐŸ. 
+}
 
 #_textselectbase_ {Please select a base language from which to translate:}
@@ -965,4 +978,8 @@
 _texttrans_ [l=ru] {Ð¿ÐµÑÐµÐ²ÐŸÐŽÐ° <br> Ð¢ÐµÐ¿ÐµÑÑ ÑÑÐŸÑ ÑÐ°Ð¹Ð» ÑÐ°ÑÑÑ ÑÐžÑÑÐµÐŒÑ Greenstone Ðž ÐŸÐœ
 Ð±ÑÐŽÐµÑ Ð²ÐºÐ»ÑÑÐµÐœ Ð² Ð±ÑÐŽÑÑÐžÐµ Ð²ÑÐ¿ÑÑÐºÐž.}
+
+# _textgetdmfiles_ {You can download the macro files you have created}
+# _textviewtranslation_ {Your changes will immediately be reflected}
+# _texthere_ {here}
 
 ############
@@ -972,8 +989,5 @@
 
 _textgli_ [l=ru] {ÐÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÑÐ¹ ÐžÐœÑÐµÑÑÐµÐ¹Ñ}
-
-_textglihelp_ [l=ru] {
-
-ÐÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÑÐ¹ ÐžÐœÑÐµÑÑÐµÐ¹Ñ Greenstone (GLI) ÐŽÐ°ÑÑ ÐÐ°ÐŒ Ð²ÐŸÐ·ÐŒÐŸÐ¶ÐœÐŸÑÑÑ Ð¿ÐŸÐ»ÑÑÐžÑÑ ÐŽÐŸÑÑÑÐ¿ Ðº ÑÑÐœÐºÑÐžÐŸÐœÐ°Ð»ÑÐœÑÐŒ
+_textglihelp_ [l=ru] {ÐÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÑÐ¹ ÐžÐœÑÐµÑÑÐµÐ¹Ñ Greenstone (GLI) ÐŽÐ°ÑÑ ÐÐ°ÐŒ Ð²ÐŸÐ·ÐŒÐŸÐ¶ÐœÐŸÑÑÑ Ð¿ÐŸÐ»ÑÑÐžÑÑ ÐŽÐŸÑÑÑÐ¿ Ðº ÑÑÐœÐºÑÐžÐŸÐœÐ°Ð»ÑÐœÑÐŒ
 Ð²ÐŸÐ·ÐŒÐŸÐ¶ÐœÐŸÑÑÑÐŒ Greenstone, ÑÐŽÐŸÐ±ÐœÐŸÐŒÑ Ð² ÑÐ°Ð±ÐŸÑÐµ ÐžÐœÑÐµÑÑÐµÐ¹ÑÑ - ÑÐºÐ°Ð¶ÐžÑÐµ Ðž ÑÐµÐ»ÐºÐœÐžÑÐµ. ÐÐœ Ð¿ÐŸÐ·Ð²ÐŸÐ»ÑÐµÑ ÐÐ°ÐŒ ÑÐŸÐ±ÐžÑÐ°ÑÑ Ð¿ÐŸÐŽÐ±ÐŸÑÐºÐž ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ², ÐžÐŒÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÑÑ ÐžÐ»Ðž Ð·Ð°ÐŽÐ°Ð²Ð°ÑÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ Ðž Ð²ÑÑÑÐ°ÐžÐ²Ð°ÑÑ ÐžÑ
  Ð² ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ Greenstone.
@@ -995,4 +1009,5 @@
 # icons
 #------------------------------------------------------------
+
 
 ## "ÐÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÑÐ¹ ÐžÐœÑÐµÑÑÐµÐ¹Ñ Greenstone" ## green_bar_left_aligned ## gligr ##