Index: /trunk/gli/classes/dictionary_es.properties
===================================================================
--- /trunk/gli/classes/dictionary_es.properties	(revision 9363)
+++ /trunk/gli/classes/dictionary_es.properties	(revision 9364)
@@ -2,48 +2,4 @@
 
 Version:en_NZ
-
-#***** Formatting Arguments *****
-# Arguments 0 - 31 reserved for the Gatherer
-Farg32:<HTML><STRONG><FONT FACE={0} COLOR=Black>
-
-Farg33:<HTML><STRONG><FONT FACE={0} COLOR=Black SIZE=4>
-
-Farg34:</FONT></STRONG></HTML>
-
-Farg35:<BR>
-
-Farg36:<U>
-
-Farg37:</U>
-
-Farg38:<HTML><STRONG><FONT FACE={0} COLOR=Black SIZE=2>
-
-Farg39:<HTML><STRONG><FONT FACE={0} COLOR=Black SIZE=5>
-
-Farg40:<HTML><STRONG><FONT FACE={0} COLOR=Gray>
-
-Farg41:<HTML><STRONG><FONT FACE={0} COLOR=Black><CENTER>
-
-Farg42:</CENTER></FONT></STRONG></HTML>
-
-Farg43:<HTML><FONT FACE={0} COLOR=Black>
-
-Farg44:</CENTER></FONT></HTML>
-
-Farg45:</FONT></HTML>
-
-Farg46:<CENTER>
-
-Farg47:</CENTER>
-
-Farg48:<I>
-
-Farg49:</I>
-
-Farg50:<FONT FACE="Courier">
-
-Farg51:<FONT FACE={0}>
-
-Farg52:</FONT>
 
 #*******************
@@ -145,45 +101,4 @@
 Autofilter.?:contains
 Autofilter.!?:does not contain
-#***********************
-#
-#***** Browser *****
-Browser.Address_Tooltip:Es el URL que se va a cargar
-
-Browser.Back:Regresar
-
-Browser.Back_Tooltip:Regresa a la pÃ¡gina que se visitÃ³ antes que Ã©sta
-
-Browser.Bookmarks:Marcadores
-
-Browser.CannotConnect:No se puede conectar con {0}
-
-Browser.Follow:Seguir el hipervÃ­nculo a {0}
-
-Browser.Forward:Avanzar
-
-Browser.Forward_Tooltip:Regresa a la pÃ¡gina que se visitÃ³ despuÃ©s de Ã©sta
-
-Browser.Go:Adelante
-
-Browser.Go_Tooltip:Carga el URL especificado
-
-Browser.Home:Principal
-
-Browser.Home_Tooltip:Lo lleva a la pÃ¡gina principal de la colecciÃ³n
-
-Browser.Loading:Bajar {0}
-
-Browser.Ready:Listo
-
-Browser.Reload:Recargar
-
-Browser.Reload_Tooltip:Carga esta pÃ¡gina de nuevo
-
-Browser.Stop:Detener
-
-Browser.Stop_Tooltip:Detiene la carga de esta pÃ¡gina
-
-Browser.TimedOut:Se interrumpiÃ³ la conexiÃ³n con {0}
-
 #
 #     ********************************************************
@@ -200,4 +115,5 @@
 
 CDM.ArgumentConfiguration.Custom_Header:A la medida
+
 CDM.ArgumentConfiguration.Custom:Argumentos personalizados:
 
@@ -262,6 +178,4 @@
 CDM.FormatManager.Enabled:Activo
 
-CDM.FormatManager.Extended_Options:Permitir opciones avanzadas
-
 CDM.FormatManager.Feature:Elegir funciÃ³n
 
@@ -462,14 +376,10 @@
 CDM.MetadataSetManager.Add:AÃ±adir un conjunto de metadatos
 
-CDM.MetadataSetManager.Add_Tooltip:Abra el Editor de Conjuntos de Metadatos para permitir la creaciÃ³n de un nuevo conjunto
-
-CDM.MetadataSetManager.Configure:Configurar un conjunto de metadatos
-
-CDM.MetadataSetManager.Configure_Tooltip:Abra el Editor de Conjuntos de Metadatos para permitir la ediciÃ³n del conjunto seleccionado. Esta acciÃ³n tambiÃ©n puede realizarse haciendo doble click en el conjunto deseado. 
-
-# -- Missing translation: CDM.MetadataSetManager.Edit
-# -- Missing translation: CDM.MetadataSetManager.Edit_Message
-# -- Missing translation: CDM.MetadataSetManager.Edit_Message_Title
-# -- Missing translation: CDM.MetadataSetManager.Edit_Tooltip
+CDM.MetadataSetManager.Add_Tooltip:AÃ±adir un nuevo conjunto de metadatos a la colecciÃ³n.
+
+CDM.MetadataSetManager.Edit:Editar conjunto de metadatos
+CDM.MetadataSetManager.Edit_Message:Los conjuntos de metadatos pueden editarse usando GEMS (Editor Greenstone para Conjuntos de Metadatos)./n Inicie GEMS ejecutando gems.bat (en Windows) o gems.sh (en Linux), que se encuentran en el directorio gli de su instalaciÃ³n de Greenstone.
+CDM.MetadataSetManager.Edit_Message_Title:Editando conjuntos de metadatos
+CDM.MetadataSetManager.Edit_Tooltip:Editar el conjunto de metadatos seleccionado.
 CDM.MetadataSetManager.Elements:Elementos del conjunto de metadatos seleccionado
 
@@ -478,6 +388,5 @@
 CDM.MetadataSetManager.Remove:Eliminar un conjunto de metadatos
 
-CDM.MetadataSetManager.Remove_Tooltip:Abre el Editor de Conjuntos de Metadatos para eliminar el conjunto seleccionado.
-
+CDM.MetadataSetManager.Remove_Tooltip:Borrar el conjunto de metadatos seleccionado de la colecciÃ³n.
 CDM.MetadataSetManager.Sets:Conjuntos de metadatos disponibles
 
@@ -514,4 +423,6 @@
 CDM.PlugInManager.Controls:Controles de ediciÃ³n
 
+# -- Missing translation: CDM.PlugInManager.Ignore
+# -- Missing translation: CDM.PlugInManager.Ignore_Tooltip
 CDM.PlugInManager.Instructions:Utilice esta pantalla para aÃ±adir, configurar o eliminar plugins de su colecciÃ³n. Para aÃ±adir uno selecciÃ³nelo del cuadro de utilerÃ­as y haga click en âAÃ±adir Pluginâ.\n Para configurar o eliminar uno, elÃ­jalo de la lista de plugins asignados y a continuaciÃ³n:\n i) Cambie su posiciÃ³n en el orden haciendo click en las flechas. (Recuerde: la posiciÃ³n de RecPlug y ArcPlug es fija.)\n ii) ConfigÃºrelo haciendo click en âConfigurar Pluginâ,\n o iii) ElimÃ­nelo haciendo click en âEliminar Pluginâ.\n\n Los plugins se configuran por medio de un Ã¡rea de diseÃ±o que aparece cuando se selecciona esta opciÃ³n y que contiene una lista de argumentos. Active los argumentos e ingrese o seleccione los valores segÃºn sea necesario.
 
@@ -531,6 +442,5 @@
 CDM.PlugInManager.Remove_Tooltip:Elimina el plugin seleccionado de la lista
 
-# -- Missing translation: CDM.PluginManager.SuggestedPluginList
-# -- Missing translation: CDM.PluginManager.SuggestedPluginListTitle
+CDM.PluginManager.SuggestedPluginListTitle:Plugins sugeridos para el archivo
 CDM.PlugInManager.Title:{39}{46}SelecciÃ³n y configuraciÃ³n de plugins{47}{34}
 
@@ -613,10 +523,5 @@
 CDM.SubcollectionIndexManager.Add_Subindex_Tooltip:AÃ±ade la particiÃ³n especificada a esta colecciÃ³n
 
-CDM.SubcollectionIndexManager.Clear_Default_Subindex:Borrar el valor por omisiÃ³n
-
-CDM.SubcollectionIndexManager.Clear_Default_Subindex_Tooltip:Borra la particiÃ³n predeterminada
-
-CDM.SubcollectionIndexManager.Default_Subindex:Por omisiÃ³n:
-
+# -- Missing translation: CDM.SubcollectionIndexManager.Default_Partition_Indicator
 CDM.SubcollectionIndexManager.PartitionName:Nombre de la particiÃ³n:
 
@@ -627,10 +532,12 @@
 CDM.SubcollectionIndexManager.Remove_Subindex_Tooltip:Elimina la particiÃ³n seleccionada de esta colecciÃ³n
 
+# -- Missing translation: CDM.SubcollectionIndexManager.Replace_Subindex
+# -- Missing translation: CDM.SubcollectionIndexManager.Replace_Subindex_Tooltip
 CDM.SubcollectionIndexManager.Set_Default_Subindex:Predeterminar
 
 CDM.SubcollectionIndexManager.Set_Default_Subindex_Tooltip:Hace que la particiÃ³n seleccionada sea la particiÃ³n por omisiÃ³n
 
-CDM.SubcollectionIndexManager.Subcollection:Filtros definidos para la subcolecciÃ³n
-
+# -- Missing translation: CDM.SubcollectionIndexManager.Source
+# -- Missing translation: CDM.SubcollectionIndexManager.Source_Tooltip
 CDM.SubcollectionIndexManager.Subindexes:Particiones asignadas a la subcolecciÃ³n
 
@@ -702,5 +609,6 @@
 #
 #***** CollectionManager *****
-# -- Missing translation: CollectionManager.Cannot_Create_Collection
+# -- Missing translation: CollectionManager.Build_Cancelled
+CollectionManager.Cannot_Create_Collection:Ha ocurrido un error y no se ha podido crear la colecciÃ³n
 CollectionManager.Cannot_Delete_Index:Esta colecciÃ³n no se puede reconstruir debido a que los archivos de Ã­ndices anteriores no se pueden suprimir.\n Por favor asegÃºrese que Greenstone o algÃºn otro programa no estÃ¡ usando estos archivos\n e intÃ©ntelo de nuevo.
 
@@ -713,10 +621,8 @@
 CollectionManager.Creating_New:Creando una nueva colecciÃ³n.
 
-CollectionManager.File_Not_Found:{0}\nEsta colecciÃ³n no puede abrirse puesto que ya no existe.
-
-CollectionManager.Gcache_Created:Se ha creado la carpeta cachÃ© de la Interfaz de la Biblioteca Digital.
-
 CollectionManager.Log_Created:Se ha creado la carpeta de registro.
 
+# -- Missing translation: CollectionManager.Loading_Collection
+# -- Missing translation: CollectionManager.Loading_Collection_Please_Wait
 CollectionManager.Loading_Successful:ColecciÃ³n cargada {0}.
 
@@ -736,4 +642,5 @@
 CollectionPopupMenu.Delete:Suprimir
 
+# -- Missing translation: CollectionPopupMenu.New_Dummy_Doc
 CollectionPopupMenu.New_Folder:Nueva carpeta
 
@@ -755,6 +662,4 @@
 CreatePane.Cancel_Build_Tooltip:Detiene el proceso de formaciÃ³n de la colecciÃ³n
 
-CreatePane.Copy_Progress:Grado de avance del proceso de copiado
-
 CreatePane.Import:Opciones de importaciÃ³n de la colecciÃ³n
 
@@ -851,4 +756,5 @@
 
 DirectoryLevelMetadata.Title:A punto de aÃ±adir metadatos a nivel de carpeta
+
 #********************
 #
@@ -888,4 +794,16 @@
 #***********************
 #
+#****** ExplodeMetadataPrompt *******
+# -- Missing translation: ExplodeMetadataPrompt.Explode
+# -- Missing translation: ExplodeMetadataPrompt.Explode_Tooltip
+# -- Missing translation: ExplodeMetadataPrompt.Instructions
+# -- Missing translation: ExplodeMetadataPrompt.Failed_Title
+# -- Missing translation: ExplodeMetadataPrompt.Failed_Explode
+# -- Missing translation: ExplodeMetadataPrompt.NotExplodable
+# -- Missing translation: ExplodeMetadataPrompt.Successful_Explode
+# -- Missing translation: ExplodeMetadataPrompt.Successful_Title
+# -- Missing translation: ExplodeMetadataPrompt.Title
+#***********************
+#
 #****** WriteCDImagePrompt *******
 WriteCDImagePrompt.CD_Name:Nombre del CD-ROM
@@ -911,4 +829,23 @@
 #************************
 #
+#****** ExportAsPrompt *******
+# -- Missing translation: ExportAsPrompt.Export_Name
+# -- Missing translation: ExportAsPrompt.Export
+# -- Missing translation: ExportAsPrompt.Export_Tooltip
+# -- Missing translation: ExportAsPrompt.Failed_ExportOne
+# -- Missing translation: ExportAsPrompt.Failed_ExportMany
+# -- Missing translation: ExportAsPrompt.Failed_Details
+# -- Missing translation: ExportAsPrompt.Failed_Title
+# -- Missing translation: ExportAsPrompt.Instructions
+# -- Missing translation: ExportAsPrompt.Progress_Label
+# -- Missing translation: ExportAsPrompt.Successful_ExportOne
+# -- Missing translation: ExportAsPrompt.Successful_ExportMany
+# -- Missing translation: ExportAsPrompt.Successful_Details
+# -- Missing translation: ExportAsPrompt.Successful_Title
+# -- Missing translation: ExportAsPrompt.Title
+# -- Missing translation: ExportAsPrompt.SaveAs
+# -- Missing translation: ExportAsPrompt.SaveAs_Tooltip
+#************************
+#
 #*****ExternalCollectionPrompt********
 ExternalCollectionPrompt.NewMDS:Crear un nuevo conjunto vacÃ­o de metadatos 
@@ -943,4 +880,5 @@
 FileActions.Directory_Selected:1 carpeta seleccionada
 
+# -- Missing translation: FileActions.File_Already_Exists_No_Create
 FileActions.File_Already_Exists_Message:{0}\nYa existe un archivo con este nombre en la\n carpeta de destino y a pesar de que usted ha decidido reemplazarlo la Interfaz de la Biblioteca Digital\n no puede sobreescribirlo. Por favor verifique los permisos de acceso al archivo.
 
@@ -951,4 +889,6 @@
 FileActions.File_And_Directory_Selected:1 archivo y 1 carpeta seleccionadas
 
+# -- Missing translation: FileActions.File_Create_Error
+# -- Missing translation: FileActions.Folder_Create_Error
 FileActions.File_Exists:<html>{0} ya existe en la carpeta de destino. Â¿Desea reemplazarlo?</html>
 
@@ -971,13 +911,7 @@
 FileActions.Insufficient_Space_Title:Error - Espacio insuficiente
 
-FileActions.Jobs:{0} acciones restantes
-
 FileActions.Moving:Moviendo {0}
 
 FileActions.No_Activity:No se requiere ninguna acciÃ³n
-
-FileActions.No_Parent_For_New_Folder:Para crear una nueva carpeta primero debe seleccionar una carpeta destino en la estructura de directorios y subdirectorios de la colecciÃ³n.
-
-FileActions.No_Selection:No se ha seleccionado ningÃºn archivo
 
 FileActions.Possible_Cyclic_Path:{1} tiene una profundidad de {0} directorios y puede ser una ruta recursiva. Â¿Desea continuar?
@@ -1035,6 +969,4 @@
 
 FileAssociationDialog.Instructions:Utilice este cuadro de diÃ¡logo para establecer los programas externos que se usarÃ¡n para ver un cierto tipo de archivo y el comando que se enviarÃ¡ para iniciar este programa.\n Para aÃ±adir un nuevo tipo de archivo escriba su extensiÃ³n en âPara archivos que terminan enâ. Para aÃ±adir o modificar un comando de inicio escriba el nuevo comando en âComando de inicioâ o haga click en âExplorarâ para buscar el sistema de archivos de un programa apropiado. Use la cadena de caracteres especiales â%1â para indicar el lugar en el que el nombre del archivo que se abrirÃ¡ deberÃ¡ insertarse, p. ej. "C:\\Windows\\System\\MSPaint.exe %1". '%1' se anexarÃ¡ al final de un comando si no se especifica de otra manera.\n Los usuarios de Mac OS siempre deberÃ¡n intentar primero el comando especÃ­fico para mac "open [-a <application_name>] %1".
-
-FileAssociationDialog.Preview:Ingrese el comando para abrir el programa a fin de tener una vista previa de la colecciÃ³n.
 
 FileAssociationDialog.Table.Command:Comando
@@ -1092,6 +1024,4 @@
 General.Browse:Explorar
 
-General.Browse_Tooltip:Busca una ruta de acceso a los archivos de su computadora
-
 General.Cancel:Cancelar
 
@@ -1108,5 +1038,5 @@
 General.No:No
 
-# -- Missing translation: General.NotSunJava
+General.NotSunJava:Proveedor de Java: {0}\nTenga en cuenta que la Interfaz de Bibliotecario ha sido desarrollada y probada con Java de Sun Microsystems
 General.OK:Aceptar
 
@@ -1126,4 +1056,5 @@
 
 General.View:Ver Valor
+
 General.Warning:Advertencia
 
@@ -1143,6 +1074,4 @@
 GShell.Build.CompressText:Comprimiendo el texto...
 
-GShell.Build.FatalError.NoRunMGPasses:OcurriÃ³ un error grave. MGPasses no se puede ejecutar.
-
 GShell.Build.Index:Creando un Ã­ndice basado en {0-fuente y nivel del Ã­ndice}...
 
@@ -1152,6 +1081,4 @@
 
 GShell.Command:Comando
-
-GShell.Extracted:{1} partes de metadatos extraÃ­dos para {0}.
 
 GShell.Failure:El comando no se pudo ejecutar.
@@ -1201,5 +1128,5 @@
 #***** GUI *****
 # Currently Enabled and Disabled display the same text but in different
-* colours. If necessary this can be changed.
+# colours. If necessary this can be changed.
 GUI.Create:Crear
 
@@ -1217,6 +1144,4 @@
 
 GUI.Enrich_Tooltip:Asigna metadatos a los archivos de su colecciÃ³n
-
-GUI.Export:Exportar
 
 GUI.Gather:Reunir
@@ -1286,12 +1211,4 @@
 Menu.Edit_Paste:Pegar (ctrl-v)
 
-Menu.Edit_Redo:Rehacer
-
-Menu.Edit_Replace:Buscar y reemplazar
-
-Menu.Edit_Search:Buscar
-
-Menu.Edit_Undo:Deshacer
-
 Menu.Expand:Abrir carpeta
 
@@ -1319,26 +1236,11 @@
 Menu.File_Save:Guardar
 
-Menu.File_Save_As:Guardar como...
-
 Menu.Help:Ayuda
 
 Menu.Help_About:Acerca de...
 
-Menu.Metadata:Conjuntos de metadatos
-
-Menu.Metadata_Edit:Editar conjunto
-
-Menu.Metadata_Export:Exportar conjunto
-
-Menu.Metadata_Import:Importar conjunto
-
 Menu.Metadata_View:Metadatos asignados para {0}
 
 Menu.Open_Externally:Abrir en un programa externo
-Menu.Tools:Herramientas
-
-Menu.Tools_Log:Ver registro
-
-Menu.Tools_Calculate_Record_Size:Calcular el tamaÃ±o del registro
 
 #********************
@@ -1354,24 +1256,28 @@
 #
 #***** Metadata *****
-Metadata.Set:Conjunto
-
 Metadata.Element:Elemento
 
 Metadata.Value:Valor
 
-# -- Missing translation: MetadataSet.Files
-#***************************
-#
-#****** MetadataImportMappingPrompt *******
+MetadataSet.Files:Archivos de conjunto de metadatos
+#*********************************************
+#
+#******** MetadataImportMappingPrompt *********
 MIMP.Add::AÃ±adir
+
 MIMP.Add_Tooltip:AÃ±ade el elemento de metadato al conjunto seleccionado
-MIMPIgnore:Ignorar
+
+# -- Missing translation: MIMP.Ignore
 MIMP.Ignore_Tooltip:Ignora este elemento de metadato
+
 MIMP.Instructions:El elemento de metadato {0} no se puede importar automÃ¡ticamente a la colecciÃ³n. Seleccione un conjunto de metadatos y:\n(1) haga click en âAÃ±adirâ para agregar el metadato a ese conjunto (sÃ³lo si el metadato {0} no se encuentra ya en el conjunto), o\n(2) elija un elemento y haga click en âCombinarâ para importar el metadato {0} a este elemento, o\n(3) ignore este elemento de metadato.
+
 MIMP.Merge:Combinar
+
 MIMP.Merge_Tooltip:Mapea el elemento de metadato hacia el elemento especificado en el conjunto seleccionado
-# -- Missing translation: MIMP.Source_Element:
-# -- Missing translation: MIMP.Target_Element:
-# -- Missing translation: MIMP.Target_Set:
+
+# -- Missing translation: MIMP.Source_Element
+# -- Missing translation: MIMP.Target_Element
+# -- Missing translation: MIMP.Target_Set
 MIMP.Title:Es necesario combinar los elementos.
 
@@ -1380,5 +1286,7 @@
 #***** Mirroring *****
 Mirroring.ClearCache:Borrar CachÃ©
+
 Mirroring.ClearCache_Tooltip:Borrar todos los archivos descargados
+
 Mirroring.Download:Bajar
 
@@ -1390,10 +1298,15 @@
 
 Mirroring.Download_Depth.Zero:Cero
+
 Mirroring.Download_Depth.Unlimited:Ilimitado
+
 Mirroring.Download_Depth_Tooltip:CuÃ¡ntos hipervÃ­nculos se bajarÃ¡n al momento de descargar los archivos de Internet
 
 Mirroring.Download_Embedded:Descargar sÃ³lo texto (omitir imÃ¡genes, hojas de estilo, etc.)
+
 Mirroring.DownloadJob.Close:Cerrar
+
 Mirroring.DownloadJob.Close_Tooltip:Quitar este job de la lista, deteniÃ©ndolo si todavÃ­a estÃ¡ en ejecuciÃ³n
+
 Mirroring.DownloadJob.Downloading:Bajando {0}
 
@@ -1401,13 +1314,19 @@
 
 Mirroring.DownloadJob.Download_Stopped:Descarga detenida
+
 Mirroring.DownloadJob.Download_Progress:Descarga en ejecuciÃ³n
+
 Mirroring.DownloadJob.Log:Ver BitÃ¡cora
+
 Mirroring.DownloadJob.Log_Tooltip:Ver detalles acerca de esta descarga
 
 Mirroring.DownloadJob.Pause:Pausa
+
 Mirroring.DownloadJob.Pause_Tooltip:Pausa
 
 Mirroring.DownloadJob.Resume:Reiniciar
+
 Mirroring.DownloadJob.Resume_Tooltip:Reiniciar esta descarga
+
 Mirroring.DownloadJob.Status:{0} bajado de {1} archivos ({2} mensajes de advertencia, {3} errores)
 
@@ -1421,9 +1340,11 @@
 
 Mirroring.Invalid_URL_Title:URL invÃ¡lida
-Mirroring.No_WGet:No tiene wget
-Mirroring.No_WGet_Title:Falta Wget
+
 Mirroring.Preferences:Preferencias...
+
 Mirroring.Preferences_Tooltip:Habilitar proxy y/o editar la configuraciÃ³n del proxy
+
 Mirroring.Same_Host:SÃ³lo archivos espejo dentro del mismo sitio
+
 Mirroring.Source_URL:URL fuente:
 
@@ -1438,6 +1359,6 @@
 
 #***** Missing EXEC_GS3 *****
-# -- Missing translation: MissingEXEC_GS3.Message
-# -- Missing translation: MissingEXEC_GS3.Title
+MissingEXEC_GS3.Message:Â¡AtenciÃ³n! No podrÃ¡ ver las nuevas colecciones con la Interfaz de Bibliotecario a menos que especifique la ruta al entorno Greenstone en el servidor local Tomcat. Puede introducirla ahora en el campo de texto situado debajo, o mÃ¡s tarde en Preferencias, pestaÃ±a ConexiÃ³n. Recuerde que un URL vÃ¡lido debe comenzar con el protocolo "http://" La direcciÃ³n predefinida es http://localhost:8080/gsdl3
+MissingEXEC_GS3.Title:No se encuentra la direcciÃ³n de la Biblioteca Greenstone
 #***** Missing GSDL *****
 MissingGSDL.Message:Â¡Cuidado! Usted no podrÃ¡ tener acceso a todas las funciones de la Interfaz de la Biblioteca Digital a menos que una copia de la Biblioteca Digital Greenstone tambiÃ©n estÃ© instalada. Si usted cree que estÃ¡ recibiendo este mensaje por error, por favor revise su instalaciÃ³n y las rutas especificadas en el archivo de guiones y procesamiento por lotes de la Interfaz de la Biblioteca Digital.
@@ -1445,9 +1366,4 @@
 MissingGSDL.Title:Falta la ruta de conexiÃ³n con Greenstone
 
-#***** Missing MDS  ******
-MissingMDS.Message:Â¡Cuidado! Usted no ha seleccionado ningÃºn conjunto de metadatos para su colecciÃ³n. Los metadatos existentes asociados con los archivos que usted estÃ¡ aÃ±adiendo a su colecciÃ³n no se importarÃ¡n.
-
-MissingMDS.Title:No hay conjuntos de metadatos
-
 #***** Missing PERL *****
 MissingPERL.Message:Â¡Cuidado! Usted no podrÃ¡ crear nuevas colecciones ni construir las que ya existen a menos que tenga el lenguaje de programaciÃ³n PERL instalado y la Interfaz de la Biblioteca Digital no pudo encontrarlo en su sistema. Si usted cree que estÃ¡ recibiendo este mensaje por error, por favor revise su instalaciÃ³n y las rutas especificadas en el archivo de guiones y procesamiento por lotes de la Interfaz de la Biblioteca Digital.
@@ -1457,4 +1373,5 @@
 #******* MissingWGET ********
 MissingWGET.Message:AtenciÃ³n! Se ha deshabilitado la capacidad de poner la Web en espejo porque el interfaz del 'Librarian' no pudo localizar una versiÃ³n apropiada de Wget. Si usted cree que estÃ¡ recibiendo este mensaje debido a un error, por favor revise su instalaciÃ³n y las rutas especificadas en el archivo batch o script del 'Librarian'
+
 MissingWGET.Title:Falta Wget
 
@@ -1474,6 +1391,4 @@
 NewCollectionPrompt.Description_Error:El campo de descripciÃ³n debe llenarse. Por favor corrija.
 
-NewCollectionPrompt.Email_Error:No ha ingresado una direcciÃ³n de correo electrÃ³nico o la direcciÃ³n estÃ¡ mal escrita. Por favor corrija. 
-
 NewCollectionPrompt.Error:Error en la nueva colecciÃ³n
 
@@ -1493,6 +1408,4 @@
 NewCollectionPrompt.Select_MDS:Conjuntos de metadatos disponibles:
 
-NewCollectionPrompt.Set_Contains:Este conjunto de metadatos contiene los elementos
-
 NewCollectionPrompt.Title:Crear una nueva colecciÃ³n.
 
@@ -1501,15 +1414,14 @@
 NewCollectionPrompt.Title_Error:El tÃ­tulo debe llenarse. Por favor corrija.
 
-#***** New Folder Prompt *****
-NewFolderPrompt.Default_Folder_Name:nueva carpeta
-
-NewFolderPrompt.Destination_Name:Carpeta destino
-
-NewFolderPrompt.Folder_Name:Nombre de la carpeta
-
-NewFolderPrompt.Folder_Name_Tooltip:Escriba un nombre para la nueva carpeta
-
-NewFolderPrompt.Title:Crear una nueva carpeta
-
+#***** New Folder OrFilePrompt *****
+# -- Missing translation: NewFolderOrFilePrompt.Default_File_Name
+# -- Missing translation: NewFolderOrFilePrompt.Default_Folder_Name
+# -- Missing translation: NewFolderOrFilePrompt.Destination_Name
+# -- Missing translation: NewFolderOrFilePrompt.File_Name
+# -- Missing translation: NewFolderOrFilePrompt.File_Name_Tooltip
+# -- Missing translation: NewFolderOrFilePrompt.Folder_Name
+# -- Missing translation: NewFolderOrFilePrompt.Folder_Name_Tooltip
+# -- Missing translation: NewFolderOrFilePrompt.Title_Folder
+# -- Missing translation: NewFolderOrFilePrompt.Title_File
 #***********************
 #
@@ -1521,11 +1433,13 @@
 #
 #******* OldWGET *******
-# -- Missing translation: NoPluginExpectedToProcessFile.Message
-# -- Missing translation: NoPluginExpectedToProcessFile.Title
+NoPluginExpectedToProcessFile.Message:No se encuentra ningÃºn plugin de Greenstone que pueda procesar el archivo "{0}". Compruebe que el archivo tiene la extensiÃ³n correcta. Si la extensiÃ³n es correcta entonces tendrÃ¡ que usar el plugin Unkowm para procesar este archivo.
+NoPluginExpectedToProcessFile.Title:No se encuentra un plugin que pueda procesar el archivo
 #**********************
 #
 #******* OldWGET *******
 OldWGET.Message:AtenciÃ³n! La versiÃ³n de Wget que ha instalado tiene un defecto conocido cuando se manejan archivos espejo que contienen caracteres codificados tales como espacio y tilde en su URL. Aunque este no debe ser un problema, recomendamos instalar Wget 1.9 o posterior
+
 OldWGET.Title:Wget viejo
+
 #***********************
 #
@@ -1578,7 +1492,9 @@
 
 Preferences.Connection.Library_Path_GS3:Ruta Web de Greenstone:
+
 Preferences.Connection.Library_Path_Tooltip:Es el URL del servidor Web Greenstone
 
 Preferences.Connection.Library_Path_Tooltip_GS3:URL del servidor web de Greenstone
+
 Preferences.Connection.ProgramCommand:Comando de vista previa:
 
@@ -1596,7 +1512,11 @@
 
 Preferences.Connection.Servlet_Tooltip:Servlet a utilizar para ver su sitio
+
 Preferences.Connection.Servlet_Tooltip2:No se ha especificado 'servlet' para este sitio, es posible construir colecciones, pero no podrÃ¡ verlas
+
 Preferences.Connection.Site:Sitio:
+
 Preferences.Connection.Site_Tooltip:El sitio en el cual quiere trabajar
+
 Preferences.Connection.Use_Proxy:Â¿Desea usar la conexiÃ³n del servidor proxy?
 
@@ -1609,4 +1529,6 @@
 Preferences.General.Email_Tooltip:La direcciÃ³n de correo electrÃ³nico usada automÃ¡ticamente para cualquier colecciÃ³n creada por medio de GLI. 
 
+# -- Missing translation: Preferences.General.Font
+# -- Missing translation: Preferences.General.Font_Tooltip
 Preferences.General.Interface_Language:Idioma de la interfaz:
 
@@ -1658,6 +1580,4 @@
 
 Preferences.Workflow.Enrich:Enriquecer - Enriquece los documentos con metadatos
-
-Preferences.Workflow.Export:Exportar - Exporta la colecciÃ³n
 
 Preferences.Workflow.Gather:Reunir - Selecciona los archivos para formar la colecciÃ³n
@@ -1681,9 +1601,5 @@
 SaveCollectionBox.Files_Of_Type:Archivos de tipo:
 
-SaveCollectionBox.Label:Â¿Desea guardar '{0}'?
-
 SaveCollectionBox.Look_In:Visita rÃ¡pida:
-
-SaveCollectionBox.Title:Guardar la colecciÃ³n
 
 #**********************
@@ -1721,5 +1637,4 @@
 Tree.World:Documentos en las Colecciones Greenstone
 
-
 #***********************
 #
@@ -1734,40 +1649,26 @@
 
 #
-****** WGet *****
+#****** WGet *****
 WGet.Prompt:Cliente de Espejeo Wget
 
-#*****POPUP ***************
-#*****located in GEMS.popupListener
-
-# -- Missing translation: GEMS.Already_Loaded_Set_Error
-# -- Missing translation: GEMS.Element_Already_Exists
-# -- Missing translation: GEMS.Set_Already_Exists
-# -- Missing translation: GEMS.Cannot_Delete_Core_Sets_Error
-
-
-# -- Missing translation: GEMS.Preferences.Use_Subelements
-# -- Missing translation: GEMS.Preferences.Use_Subelements_Tooltip
-# -- Missing translation: GEMS.Preferences.Selected_Languages_Tooltip
-
-
-GEMS.Add:AÃ±adir
+
+GEMS.Already_Loaded_Set_Error:El conjunto de metadatos seleccionado ya estÃ¡ abierto.
+GEMS.Element_Already_Exists:Ya existe un elemento con ese nombre
+GEMS.Set_Already_Exists:Un conjunto con este namespace ya existe
+GEMS.Cannot_Delete_Core_Sets_Error:No puede borrar un conjunto de metadatos fundamental de GLI.
+
+GEMS.Preferences.Selected_Languages_Tooltip:Seleccionar los lenguajes a mostrar:
 
 GEMS.Add_Attribute:AÃ±adir atributo
+
 GEMS.Add_Attribute_Tooltip:Le aÃ±ade un nuevo atributo al elemento seleccionado
+
 GEMS.Add_Element:AÃ±adir elemento
+
 GEMS.Add_Element_Tooltip:Le aÃ±ade un nuevo elemento al conjunto seleccionado
+
 # -- Missing translation: GEMS.Add_Subelement
 # -- Missing translation: GEMS.Add_Subelement_Tooltip
-GEMS.Add_File_Tooltip:AÃ±ade un nuevo perfil de importaciÃ³n
-
 GEMS.Add_Set:AÃ±adir conjunto
-GEMS.Add_Set_Tooltip:AÃ±ade un nuevo conjunto de metadatos
-
-GEMS.Add_Value:AÃ±adir valor
-GEMS.Add_Value_Tooltip:Le aÃ±ade un nuevo valor al elemento seleccionado
-
-GEMS.Alias:Alias
-
-GEMS.Alias_Tooltip:Es un nombre alternativo usado para la identificaciÃ³n de este valor
 
 GEMS.Attribute:Atributo
@@ -1785,17 +1686,15 @@
 # -- Missing translation: GEMS.Cannot_Undo
 GEMS.Cannot_Add_Elements_To_Greenstone_MDS:No se pueden aÃ±adir manualmente elementos a los Metadatos Greenstone. En caso\n necesario, construya un nuevo conjunto y aÃ±Ã¡dale el nuevo elemento.
+
 # -- Missing translation: GEMS.Confirm_Exit_Save
 # -- Missing translation: GEMS.Confirm_Exit_Save_Title
-
 GEMS.Confirm_Removal:Â¿EstÃ¡ seguro de que desea eliminar este {0}?
 
 GEMS.Confirm_Removal_Title:Â¿EstÃ¡ seguro de querer eliminarlo?
 
-GEMS.Edit:Editar
-
 GEMS.Edit_Attribute:Editar atributo
-GEMS.Edit_Attribute_Tooltip:Cambia el valor del atributo seleccionado
 
 GEMS.Edit_Value:Editar valor
+
 GEMS.Edit_Value_Tooltip:Cambia el valor seleccionado
 
@@ -1806,8 +1705,4 @@
 GEMS.Element_Details:Detalles del elemento de metadato
 
-GEMS.File:Perfil
-
-GEMS.Ignore:IGNORAR
-
 GEMS.Language:Idioma
 
@@ -1819,28 +1714,17 @@
 
 # -- Missing translation: GEMS.New_Name
-
 GEMS.No_Description:No se encontrÃ³ la descripciÃ³n.
 
 GEMS.No_Name:No se encontrÃ³ el nombre.
-# -- Missing translation: GEMS.Open_Set:
-GEMS.Profiles:Perfiles de importaciÃ³n
-
-GEMS.Profile:Valores del perfil
-
-GEMS.Profile_Details:Detalles del perfil
-
-GEMS.Profile_Name_Tooltip:Es un nombre Ãºnico para el nuevo perfil de importaciÃ³n
-
-GEMS.Remove:Eliminar
+
+# -- Missing translation: GEMS.Open_Set
 # -- Missing translation: GEMS.Remove_Attribute
 GEMS.Remove_Attribute_Tooltip:Elimina el atributo seleccionado
+
 # -- Missing translation: GEMS.Remove_Element
 GEMS.Remove_Element_Tooltip:Elimina el elemento seleccionado del conjunto
 
-GEMS.Remove_File_Tooltip:Elimina el perfil de importaciÃ³n seleccionado
 # -- Missing translation: GEMS.Remove_Set
 GEMS.Remove_Set_Tooltip:Elimina el conjunto seleccionado
-
-GEMS.Remove_Value_Tooltip:Elimina el valor seleccionado
 
 # -- Missing translation: GEMS.Rename_Element
@@ -1849,4 +1733,5 @@
 # -- Missing translation: GEMS.Rename_Namespace_Tooltip
 # -- Missing translation: GEMS.Rename_Set
+# -- Missing translation: GEMS.Rename_Set_Tooltip
 GEMS.Set:Conjunto
 
@@ -1857,10 +1742,4 @@
 GEMS.Set_Namespace_Tooltip:Es un indicador Ãºnico para el nuevo conjunto de metadatos
 
-GEMS.Source:De
-
-GEMS.Subject:Asunto
-
-# -- Missing translation: GEMS.Subelement
-# -- Missing translation: GEMS.Subelement_Details
 # -- Missing translation: GEMS.Subelement_Name_Tooltip
 # -- Missing translation: GEMS.Subelement_Already_Exists
@@ -1871,8 +1750,6 @@
 GEMS.Value:Valor
 
-GEMS.Value_Tooltip:Es el nuevo valor
-
 GEMS.Values:Valores
 
-# -- Missing translation: GEMS.inheritMetadataSet
-# -- Missing translation: GEMS.Add_Set.No_Inherit
+GEMS.inheritMetadataSet:Heredar del conjunto de metadatos:
+GEMS.Add_Set.No_Inherit:No heredar