Index: /trunk/gsdl/perllib/plugins/ConvertToPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/ConvertToPlug.pm	(revision 9464)
+++ /trunk/gsdl/perllib/plugins/ConvertToPlug.pm	(revision 9465)
@@ -267,5 +267,5 @@
 sub read {
     my $self = shift (@_);
-    my ($pluginfo, $base_dir, $file, $metadata, $processor, $maxdocs) = @_;
+    my ($pluginfo, $base_dir, $file, $metadata, $processor, $maxdocs, $gli) = @_;
 #    if ($self->is_recursive()) {
 #        die "BasPlug::read function must be implemented in sub-class for recursive plugins\n";
@@ -337,5 +337,5 @@
     $self->extra_metadata ($doc_obj, $doc_obj->get_top_section(), $metadata);
     # do plugin specific processing of doc_obj
-    return -1 unless defined ($self->process (\$text, $pluginfo, $base_dir, $file, $metadata, $doc_obj));
+    return -1 unless defined ($self->process (\$text, $pluginfo, $base_dir, $file, $metadata, $doc_obj, $gli ));
     # do any automatic metadata extraction
     $self->auto_extract_metadata ($doc_obj);
Index: /trunk/gsdl/perllib/plugins/ExcelPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/ExcelPlug.pm	(revision 9464)
+++ /trunk/gsdl/perllib/plugins/ExcelPlug.pm	(revision 9465)
@@ -78,4 +78,5 @@
     print $outhandle "ExcelPlug: passing $_[3] on to $self->{'converted_to'}Plug\n"
 	if $self->{'verbosity'} > 1;
+    print STDERR "<Processing n='$_[3]' p='ExcelPlug'>\n" if ($_[6]);
 
     return ConvertToPlug::process_type($self,"xls",@_);
Index: /trunk/gsdl/perllib/plugins/PDFPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/PDFPlug.pm	(revision 9464)
+++ /trunk/gsdl/perllib/plugins/PDFPlug.pm	(revision 9465)
@@ -140,4 +140,6 @@
 sub process {
     my $self = shift (@_);
+    #my ($textref, $pluginfo, $base_dir, $file, $metadata, $doc_obj, $gli) = @_;
+
     my $outhandle=$self->{'outhandle'};
 
@@ -208,4 +210,5 @@
     print $outhandle "PDFPlug: passing $_[3] on to $self->{'converted_to'}Plug\n"
 	if $self->{'verbosity'} > 1;
+    print STDERR "<Processing n='$_[3]' p='PDFPlug'>\n" if ($_[6]);
 
     # tell htmlplug to extract these metadata fields from the HEAD META fields
@@ -214,6 +217,6 @@
     my $result = ConvertToPlug::process_type($self,"pdf",@_);
 
-    my $doc_obj = pop(@_);
-
+    #my $doc_obj = pop(@_);
+    my $doc_obj = $_[5];
     # fix up the extracted date metadata to be in Greenstone date format,
     # and fix the capitalisation of 'date'
Index: /trunk/gsdl/perllib/plugins/PPTPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/PPTPlug.pm	(revision 9464)
+++ /trunk/gsdl/perllib/plugins/PPTPlug.pm	(revision 9465)
@@ -76,4 +76,5 @@
     print $outhandle "PPTPlug: passing $_[3] on to $self->{'converted_to'}Plug\n"
 	if $self->{'verbosity'} > 1;
+    print STDERR "<Processing n='$_[3]' p='PPTPlug'>\n" if ($_[6]);
 
     return ConvertToPlug::process_type($self,"ppt",@_);
Index: /trunk/gsdl/perllib/plugins/PSPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/PSPlug.pm	(revision 9464)
+++ /trunk/gsdl/perllib/plugins/PSPlug.pm	(revision 9465)
@@ -169,10 +169,11 @@
 sub process {
     my $self = shift (@_);
-    my ($trash, $trash2, $path, $file, $trash3, $doc) = @_;
+    my ($trash, $trash2, $path, $file, $trash3, $doc, $gli) = @_;
 
     my $outhandle = $self->{'outhandle'};
     print $outhandle "PSPlug: passing $_[3] on to $self->{'converted_to'}Plug\n" 
 	if $self->{'verbosity'} > 1;
-    
+    print STDERR "<Processing n='$_[3]' p='PDFPlug'>\n" if ($gli);
+
     &extract_metadata_from_postscript($self,"$path/$file", $doc);
 
Index: /trunk/gsdl/perllib/plugins/RTFPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/RTFPlug.pm	(revision 9464)
+++ /trunk/gsdl/perllib/plugins/RTFPlug.pm	(revision 9465)
@@ -70,4 +70,5 @@
     print $outhandle "RTFPlug: passing $_[3] on to $self->{'converted_to'}Plug\n" 
 	if $self->{'verbosity'} > 1;
+    print STDERR "<Processing n='$_[3]' p='RTFPlug'>\n" if ($_[6]);
 
     return ConvertToPlug::process_type($self,"rtf",@_);
Index: /trunk/gsdl/perllib/plugins/WordPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/WordPlug.pm	(revision 9464)
+++ /trunk/gsdl/perllib/plugins/WordPlug.pm	(revision 9465)
@@ -74,9 +74,11 @@
 sub process {
     my $self = shift (@_);
+    #my ($textref, $pluginfo, $base_dir, $file, $metadata, $doc_obj, $gli) = @_;
 
-    my $outhandle = $self->{'outhandle'};    
+    my $outhandle = $self->{'outhandle'}; 
     print $outhandle "WordPlug: passing $_[3] on to $self->{'converted_to'}Plug\n" 
 	if $self->{'verbosity'} > 1;
-    
+    print STDERR "<Processing n='$_[3]' p='WordPlug'>\n" if ($_[6]);
+
     return ConvertToPlug::process_type($self,"doc",@_);
 }