Index: branches/ant-install-branch/gsdl3/src/java/Makefile.in
===================================================================
--- branches/ant-install-branch/gsdl3/src/java/Makefile.in	(revision 9502)
+++ 	(revision )
@@ -1,56 +1,0 @@
-###########################################################################
-#
-# Makefile -- Makefile for packages included with Greenstone
-#
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
-#
-# Copyright (C) 2000 New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
-###########################################################################
-
-
-PACKAGEDIRS = org/greenstone/gdbm org/greenstone/testing \
-	org/greenstone/gsdl3 org/greenstone/applet/phind
-
-all:
-	for subdir in $(PACKAGEDIRS); do \
-          echo making $@ in $$subdir; \
-          (cd $$subdir && $(MAKE) $(MDEFINES) $@) || exit 1; \
-        done
-
-install:
-	for subdir in $(PACKAGEDIRS); do \
-          echo installing $$subdir; \
-          (cd $$subdir && $(MAKE) install) || exit 1; \
-        done
-
-clean:
-	for subdir in $(PACKAGEDIRS); do \
-          echo cleaning $@ in $$subdir; \
-          (cd $$subdir && $(MAKE) clean || exit 0) ; \
-        done
-
-distclean:
-	rm -f Makefile
-	for subdir in $(PACKAGEDIRS); do \
-          echo dist cleaning $@ in $$subdir; \
-          (cd $$subdir && $(MAKE) distclean || exit 0) ; \
-        done
-
-
Index: branches/ant-install-branch/gsdl3/src/java/org/greenstone/applet/phind/Makefile
===================================================================
--- branches/ant-install-branch/gsdl3/src/java/org/greenstone/applet/phind/Makefile	(revision 9502)
+++ 	(revision )
@@ -1,50 +1,0 @@
-#############################################################
-#           makefile for Java and JavaCC files ...          #
-#############################################################
-#
-
-# JAVA
-GSDL3HOME=../../../../../..
-
-JAVALIBDIR=$(GSDL3HOME)/lib/java
-JAVASRCDIR=$(GSDL3HOME)/src/java
-WEBLIBDIR=$(GSDL3HOME)/web/lib
-
-#the base directory where to put class files
-JAVACLASSDIR=./classes
-
-#name/location of java compiler
-JAVAC=$(JAVA_HOME)/bin/javac
-JAVAH=$(JAVA_HOME)/bin/javah
-JAVA=$(JAVA_HOME)/bin/java
-JAVADOC=$(JAVA_HOME)/bin/javadoc
-
-JAVACOPTIONS= -deprecation -g -O
-
-
-all: compile 
-
-setup:
-	mkdir -p $(JAVACLASSDIR)
-
-compile: setup
-#	$(JAVAC) -target 1.1 -d $(JAVACLASSDIR) -sourcepath $(JAVASRCDIR) $(JAVACOPTIONS) *.java
-	$(JAVAC) -d $(JAVACLASSDIR) -sourcepath $(JAVASRCDIR) $(JAVACOPTIONS) *.java
-	jar cf phind.jar -C $(JAVACLASSDIR) org
-
-
-clean:
-	rm -rf $(JAVACLASSDIR) phind.jar 
-
-distclean: clean
-
-install:
-	cp phind.jar $(JAVALIBDIR)/
-	cp phind.jar $(WEBLIBDIR)/
-
-
-
-
-
-
-
Index: branches/ant-install-branch/gsdl3/src/java/org/greenstone/applet/phind/winMake.bat
===================================================================
--- branches/ant-install-branch/gsdl3/src/java/org/greenstone/applet/phind/winMake.bat	(revision 9502)
+++ 	(revision )
@@ -1,48 +1,0 @@
-@echo off
-
-set JAVALIBDIR=%GSDL3HOME%\lib\java
-set JAVASRCDIR=%GSDL3HOME%\src\java
-
-rem ---- Where to put class files ----
-set JAVACLASSDIR=classes
-
-rem ---- Where to put servlet classes ----
-set JAVASERVLETCLASSDIR=%GSDL3HOME%\web\WEB-INF\classes\org\greenstone\gsdl3
-
-rem ---- Name and location of java programs ----
-set JAVAC=%JAVA_HOME%\bin\javac
-set JAVAH=%JAVA_HOME%\bin\javah
-set JAVA=%JAVA_HOME%\bin\java
-set JAVADOC=%JAVA_HOME%\bin\javadoc
-set JAR=%JAVA_HOME%\bin\jar
-
-set JAVACOPTIONS= -deprecation -g -O
-
-if ""%1"" == """" goto compile
-if ""%1"" == ""compile"" goto compile
-if ""%1"" == ""install"" goto install
-if ""%1"" == ""clean"" goto clean
-
-:unknown
-	echo Error: Unrecognized argument %1.
-	goto done
-
-:compile
-	if not exist %JAVACLASSDIR% mkdir %JAVACLASSDIR%
-	echo Compiling...
-	%JAVAC% -target 1.1 -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% *.java
-	%JAR% cf phind.jar -C %JAVACLASSDIR% org
-	goto done
-
-:install
-	echo Installing...
-	copy phind.jar %JAVALIBDIR%
-	goto done
-
-:clean
-	echo Cleaning up...
-	if exist %JAVACLASSDIR% rmdir /S /Q %JAVACLASSDIR%
-	del phind.jar
-	goto done
-
-:done
Index: branches/ant-install-branch/gsdl3/src/java/org/greenstone/gdbm/Makefile
===================================================================
--- branches/ant-install-branch/gsdl3/src/java/org/greenstone/gdbm/Makefile	(revision 9502)
+++ 	(revision )
@@ -1,42 +1,0 @@
-#############################################################
-#           makefile for Java and JavaCC files ...          #
-#############################################################
-#
-
-# JAVA
-GSDL3HOME=../../../../..
-
-JAVALIBDIR=$(GSDL3HOME)/lib/java
-JAVASRCDIR=$(GSDL3HOME)/src/java
-JNILIBRARYDIR=$(GSDL3HOME)/lib/cpp
-
-#the base directory where to put class files
-JAVACLASSDIR=./classes
-
-#name/location of java compiler
-JAVAC=$(JAVA_HOME)/bin/javac
-JAVAH=$(JAVA_HOME)/bin/javah
-JAVA=$(JAVA_HOME)/bin/java
-JAVADOC=$(JAVA_HOME)/bin/javadoc
-
-JAVACOPTIONS= -deprecation -g -O
-
-JAVACLASSPATH=$(CLASSPATH):$(JAVACLASSDIR):$(JAVALIBDIR)/j-gdbm.jar
-
-all: compile 
-
-setup:
-	mkdir -p $(JAVACLASSDIR)
-
-compile: setup
-	$(JAVAC) -d $(JAVACLASSDIR) -sourcepath $(JAVASRCDIR) -classpath $(JAVACLASSPATH) $(JAVACOPTIONS) *.java
-	jar cf gdbm.jar -C $(JAVACLASSDIR) org
-
-clean:
-	rm -rf $(JAVACLASSDIR) *.o gdbm.jar 
-
-distclean: clean
-
-install:
-	cp gdbm.jar $(JAVALIBDIR)/
-
Index: branches/ant-install-branch/gsdl3/src/java/org/greenstone/gdbm/winMake.bat
===================================================================
--- branches/ant-install-branch/gsdl3/src/java/org/greenstone/gdbm/winMake.bat	(revision 9502)
+++ 	(revision )
@@ -1,48 +1,0 @@
-@echo off
-
-set JAVALIBDIR=%GSDL3HOME%\lib\java
-set JAVASRCDIR=%GSDL3HOME%\src\java
-
-rem ---- Where to put class files ----
-set JAVACLASSDIR=classes
-
-rem ---- Where to put servlet classes ----
-set JAVASERVLETCLASSDIR=%GSDL3HOME%\web\WEB-INF\classes\org\greenstone\gsdl3
-
-rem ---- Name and location of java programs ----
-set JAVAC=%JAVA_HOME%\bin\javac
-set JAVAH=%JAVA_HOME%\bin\javah
-set JAVA=%JAVA_HOME%\bin\java
-set JAVADOC=%JAVA_HOME%\bin\javadoc
-set JAR=%JAVA_HOME%\bin\jar
-
-set JAVACOPTIONS= -deprecation -g -O
-
-if ""%1"" == """" goto compile
-if ""%1"" == ""compile"" goto compile
-if ""%1"" == ""install"" goto install
-if ""%1"" == ""clean"" goto clean
-
-:unknown
-	echo Error: Unrecognized argument %1.
-	goto done
-
-:compile
-	if not exist %JAVACLASSDIR% mkdir %JAVACLASSDIR%
-	echo Compiling...
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% *.java
-	%JAR% cf gdbm.jar -C %JAVACLASSDIR% org
-	goto done
-
-:install
-	echo Installing...
-	copy gdbm.jar %JAVALIBDIR%
-	goto done
-
-:clean
-	echo Cleaning up...
-	if exist %JAVACLASSDIR% rmdir /S /Q %JAVACLASSDIR%
-	del gdbm.jar
-	goto done
-
-:done
Index: branches/ant-install-branch/gsdl3/src/java/org/greenstone/gsdl3/Makefile
===================================================================
--- branches/ant-install-branch/gsdl3/src/java/org/greenstone/gsdl3/Makefile	(revision 9502)
+++ 	(revision )
@@ -1,56 +1,0 @@
-#############################################################
-#           makefile for Java and JavaCC files ...          #
-#############################################################
-#
-
-# JAVA
-GSDL3HOME=../../../../..
-
-JAVALIBDIR=$(GSDL3HOME)/lib/java
-WEBLIBDIR=$(GSDL3HOME)/web/lib
-
-JAVASRCDIR=$(GSDL3HOME)/src/java
-
-#the base directory where to put class files
-JAVACLASSDIR=./classes
-
-#the base dir where to put servlet classes
-JAVASERVLETCLASSDIR=$(GSDL3HOME)/web/WEB-INF/classes/org/greenstone/gsdl3
-
-#name/location of java compiler
-JAVAC=$(JAVA_HOME)/bin/javac -source 1.4
-JAVA=$(JAVA_HOME)/bin/java
-JAVACOPTIONS= -deprecation -g -O
-
-MYCLASSPATH=$(CLASSPATH):$(GSDL3HOME)/packages/mg/java/org/greenstone/mg/classes:$(GSDL3HOME)/packages/mgpp/java/org/greenstone/mgpp/classes:$(GSDL3HOME)/packages/vishnu/src/vishnu/classes:$(GSDL3HOME)/comms/soap/soap/lib/soap.jar
-
-all: compile 
-
-setup:
-	mkdir -p $(JAVACLASSDIR)
-	mkdir -p $(JAVASERVLETCLASSDIR)
-
-compile: setup
-	$(JAVAC) -d $(JAVACLASSDIR) -sourcepath $(JAVASRCDIR)  $(JAVACOPTIONS) -classpath $(MYCLASSPATH) *.java */*.java */*/*.java
-	jar cf gsdl3.jar -C $(JAVACLASSDIR) org
-
-test: compile
-	java -classpath $(CLASSPATH) org.greenstone.gsdl3.Library1 $(GSDL3HOME) $(GSDL3HOME)/sites/localsite
-
-soaptest: compile
-	java -classpath $(SOAPCLASSPATH) org.greenstone.gsdl3.Library1 $(GSDL3HOME) $(GSDL3HOME)/sites/site1
-
-unittest:
-	java -Dclass_root=$(JAVACLASSDIR) -Dtest_type=UNIT junit.ui.TestRunner org.greenstone.testing.TestAll 
-
-clean: 
-	rm -rf $(JAVACLASSDIR) 
-
-distclean: clean
-	rm -rf gsdl3.jar
-
-
-install: 
-	cp gsdl3.jar $(JAVALIBDIR)/
-	cp gsdl3.jar $(WEBLIBDIR)/
-	cp $(JAVACLASSDIR)/org/greenstone/gsdl3/LibraryServlet.class $(JAVASERVLETCLASSDIR)/
Index: branches/ant-install-branch/gsdl3/src/java/org/greenstone/gsdl3/winMake.bat
===================================================================
--- branches/ant-install-branch/gsdl3/src/java/org/greenstone/gsdl3/winMake.bat	(revision 9502)
+++ 	(revision )
@@ -1,88 +1,0 @@
-@echo off
-
-set JAVALIBDIR="%GSDL3HOME%\lib\java"
-set JAVASRCDIR="%GSDL3HOME%\src\java"
-
-rem ---- Where to put class files ----
-set JAVACLASSDIR=classes
-
-rem ---- Where to put servlet classes ----
-set JAVASERVLETCLASSDIR="%GSDL3HOME%\web\WEB-INF\classes\org\greenstone\gsdl3"
-
-rem ---- Name and location of java programs ----
-set JAVAC="%JAVA_HOME%\bin\javac"
-set JAVAH="%JAVA_HOME%\bin\javah"
-set JAVA="%JAVA_HOME%\bin\java"
-set JAVADOC="%JAVA_HOME%\bin\javadoc"
-set JAR="%JAVA_HOME%\bin\jar"
-
-set JAVACOPTIONS= -deprecation -g -O
-
-if ""%1"" == """" goto compile
-if ""%1"" == ""compile"" goto compile
-if ""%1"" == ""install"" goto install
-if ""%1"" == ""clean"" goto clean
-if ""%1"" == ""allclean"" goto allclean
-
-:unknown
-	echo Error: Unrecognized argument %1.
-	goto done
-
-:compile
-        if not exist %JAVACLASSDIR% mkdir %JAVACLASSDIR%
-	echo Compiling...
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% action\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% build\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% collection\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% comms\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% core\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% selfContained\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% service\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% util\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% gs3build\classifier\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% gs3build\collection\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% gs3build\database\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% gs3build\doctypes\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% gs3build\expander\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% gs3build\extractor\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% gs3build\indexers\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% gs3build\metadata\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% gs3build\schema\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% gs3build\util\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% gs3build\validator\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% gs3build\xpointer\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% gs3build\*.java
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% *.java
-	%JAR% cf gsdl3.jar -C %JAVACLASSDIR% org
-	goto done
-
-:install
-	echo Installing...
-	copy gsdl3.jar %JAVALIBDIR%
-	if not exist %JAVASERVLETCLASSDIR% mkdir %JAVASERVLETCLASSDIR%
-	copy %JAVACLASSDIR%\org\greenstone\gsdl3\LibraryServlet.class %JAVASERVLETCLASSDIR%
-	goto done
-
-:clean
-	echo Cleaning up...
-        if exist %JAVACLASSDIR% rmdir /S /Q %JAVACLASSDIR%
-	del gsdl3.jar
-	goto done
-
-:allclean
-	echo Cleaning up (everything)...
-        if exist %JAVACLASSDIR% rmdir /S /Q %JAVACLASSDIR%
-	del gsdl3.jar
-        if exist docs rmdir /S /Q docs
-	goto done
-
-:done
-
-rem test: compile
-rem 	java -classpath $(CLASSPATH) org.greenstone.gsdl3.Library1 $(GSDL3HOME) $(GSDL3HOME)/sites/localsite
-
-rem soaptest: compile
-rem 	java -classpath $(SOAPCLASSPATH) org.greenstone.gsdl3.Library1 $(GSDL3HOME) $(GSDL3HOME)/sites/site1
-
-rem unittest:
-rem 	java -Dclass_root=$(JAVACLASSDIR) -Dtest_type=UNIT junit.ui.TestRunner org.greenstone.testing.TestAll 
Index: branches/ant-install-branch/gsdl3/src/java/org/greenstone/testing/Makefile
===================================================================
--- branches/ant-install-branch/gsdl3/src/java/org/greenstone/testing/Makefile	(revision 9502)
+++ 	(revision )
@@ -1,41 +1,0 @@
-#############################################################
-#           makefile for Java and JavaCC files ...          #
-#############################################################
-#
-
-# JAVA
-GSDL3HOME=../../../../..
-
-JAVALIBDIR=$(GSDL3HOME)/lib/java
-JAVASRCDIR=$(GSDL3HOME)/src/java
-
-#the base directory where to put class files
-JAVACLASSDIR=./classes
-
-#name/location of java compiler
-JAVAC=$(JAVA_HOME)/bin/javac
-JAVAH=$(JAVA_HOME)/bin/javah
-JAVA=$(JAVA_HOME)/bin/java
-JAVADOC=$(JAVA_HOME)/bin/javadoc
-
-JAVACOPTIONS= -deprecation -g -O
-
-JCLASSPATH=$(JAVACLASSDIR):$(CLASSPATH)
-
-all: compile 
-
-setup:
-	mkdir -p $(JAVACLASSDIR)
-
-compile: setup
-	$(JAVAC) -d $(JAVACLASSDIR) -sourcepath $(JAVASRCDIR) -classpath $(JCLASSPATH) $(JAVACOPTIONS) *.java
-	jar cf jutest.jar -C $(JAVACLASSDIR) org
-
-clean:
-	rm -rf $(JAVACLASSDIR) *.o jutest.jar 
-
-distclean: clean
-
-install:
-	cp jutest.jar $(JAVALIBDIR)/
-
Index: branches/ant-install-branch/gsdl3/src/java/org/greenstone/testing/winMake.bat
===================================================================
--- branches/ant-install-branch/gsdl3/src/java/org/greenstone/testing/winMake.bat	(revision 9502)
+++ 	(revision )
@@ -1,48 +1,0 @@
-@echo off
-
-set JAVALIBDIR=%GSDL3HOME%\lib\java
-set JAVASRCDIR=%GSDL3HOME%\src\java
-
-rem ---- Where to put class files ----
-set JAVACLASSDIR=classes
-
-rem ---- Where to put servlet classes ----
-set JAVASERVLETCLASSDIR=%GSDL3HOME%\web\WEB-INF\classes\org\greenstone\gsdl3
-
-rem ---- Name and location of java programs ----
-set JAVAC=%JAVA_HOME%\bin\javac
-set JAVAH=%JAVA_HOME%\bin\javah
-set JAVA=%JAVA_HOME%\bin\java
-set JAVADOC=%JAVA_HOME%\bin\javadoc
-set JAR=%JAVA_HOME%\bin\jar
-
-set JAVACOPTIONS= -deprecation -g -O
-
-if ""%1"" == """" goto compile
-if ""%1"" == ""compile"" goto compile
-if ""%1"" == ""install"" goto install
-if ""%1"" == ""clean"" goto clean
-
-:unknown
-	echo Error: Unrecognized argument %1.
-	goto done
-
-:compile
-	if not exist %JAVACLASSDIR% mkdir %JAVACLASSDIR%
-	echo Compiling...
-	%JAVAC% -d %JAVACLASSDIR% -sourcepath %JAVASRCDIR% %JAVACOPTIONS% *.java
-	%JAR% cf jutest.jar -C %JAVACLASSDIR% org
-	goto done
-
-:install
-	echo Installing...
-	copy jutest.jar %JAVALIBDIR%
-	goto done
-
-:clean
-	echo Cleaning up...
-	if exist %JAVACLASSDIR% rmdir /S /Q %JAVACLASSDIR%
-	del jutest.jar
-	goto done
-
-:done